(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    161692,       3356]
NotebookOptionsPosition[    159120,       3307]
NotebookOutlinePosition[    159538,       3324]
CellTagsIndexPosition[    159495,       3321]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"Importing", " ", "Data"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"path", "=", 
     RowBox[{"SystemDialogInput", "[", "\"\<FileOpen\>\"", "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"dataimport", "=", 
     RowBox[{"Delete", "[", 
      RowBox[{
       RowBox[{"Import", "[", 
        RowBox[{"path", ",", "\"\<Data\>\""}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"{", 
        RowBox[{
         RowBox[{"{", "1", "}"}], ",", 
         RowBox[{"{", "2", "}"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"ForwSweep", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"dataimport", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
         RowBox[{"dataimport", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", "dataimport", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"BackSweep", " ", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"dataimport", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "3"}], "]"}], "]"}], ",", 
         RowBox[{"dataimport", "[", 
          RowBox[{"[", 
           RowBox[{"i", ",", "4"}], "]"}], "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "1", ",", 
         RowBox[{"Length", "[", "dataimport", "]"}]}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"ListPlot", "[", 
    RowBox[{"{", 
     RowBox[{"ForwSweep", ",", "BackSweep"}], "}"}], "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7302929960525923`*^9, 3.7302930245023704`*^9}, {
  3.7302934121632376`*^9, 3.7302934174688635`*^9}, {3.732687306845978*^9, 
  3.73268733452439*^9}},ExpressionUUID->"f2ae5c15-7673-4d7a-a962-\
c844bd42f7fd"],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJwtVAlU02cSzwIK4aYsq1y6oChYQE2lyDkWhPIUV0HkybGCaJAqFrlBylVB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      "]]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], PointSize[0.009166666666666668], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJw9VHdU1GcWpUkXMAZDCcJIBGLiLgN2kEcEC6IgSCSBrBAWUINCpIiQpQhI
HwZCkRGUIlIWFCnSBJ8wMxQdekeUMgMOw8D8FqQYKTucPWf/+M533rnfPefe
9979SC5etm5iIiIiN4Rn675aFOZt7z6NwWyPzu9lCJyUDaecok1hW+vPQ70K
BHZcpuy+y+Jg/FmexIEdBNaVHiR1bLLRM85A3fULAt14MvlLBmy8qb59fL8S
gS3Rxvoa7pOIzoevO35JoKuFvPlp2gRereD5PFcmkE6ayKSwxjFWLGiPtZB/
blbCs35zDG2+5O4MENagyqbz3d6jNSuQnLKTwPMK2k+aWaOYdXPC9MwuAqNW
jrv7G75Fz0ei9duE7xuVXNY8acOYOMJoWxfqVRPRCW3fHPy/3n25fKtFtwGs
+EFH9agcgVP9KquBrD7UdW9QeS306xQ+mHTPsBdVP3idIIkRyFXKMNamdeMN
5kb5HwsCbNRo+1VKpAsTPcyYR0IEWP4xdF2ktgPrRmLX3VbmcYrrVwmx7ahL
li752mEeac90OA0WLHSjBEaf8p9DpUGXhwaybzC1T+bqnut8vBav4lnwug39
bhkcOXt5FjWoD8b141rRQdjtkPM8LNfKvFpn2YL5iv+4MGYwgxGbEVOp8s04
WdqmtqTExYE6yBNpZyCHLJ76H8E0cvxuDhMUOm6Y/TU3+2oKEyPQ3tGqCXNq
rbT3p3Jw1YbPt1NoxGKJODrNiY37XryR636A2A2NzFi1SXRdE9+4uLsBr+iG
P+L0j+OTz64qtVl1yOsMzouWH8NvIuiTuVo1eDcly+6z7yi2nsrca5j3HF1N
lwNXWoZxUSLUYOybClQ8ecckSXcQ2erfPUnLf4ZxdiqO0t59+NMhFeqKdQlq
WmrWZb/sxpv6U5R31gXIcEo+yCN1IO3TtcM/2uZiZ0OUZYJRG2YvomjPo/so
+zHG2KKuGaex0t0wm4aiKp3ZOSHNqC2a4XCxJB3vO7WLhh1tRrmhYnVycRoW
1WtMVI4zkTRU0LOtOAWnn+7lhD9kop4M//2Zwj+x3NLOa/t1Jh6LIQfb5SZi
nHB6nF+Z6BfUH7piTkFVprdlMYmJpb7ssCGTGAy971A18BUTi6pj5+eN7qID
kVuqJez7bYqswwXyHZz31xNKZKCLDLnG5VIg+p5KWZZ0YuBiav2OM9beePrH
nebvpBiYcE2t5xn5BLqtfY6Xk2qCgO4kI8LBHg6mR05ouzRBMPmEcmyVByj7
/mHxz8om+Fu8cpnTpB98UpypLhWnA1W/p4Q7HQRUzoJmjxcdonfkpOaJhMOu
PNW4/Ao6SCN4ZMlGQdjXKfq9y3R4+/L0+pJsHPwvzwxQH3+3l6VIhYp2yoyM
JQPamqXc1aKSwHrGeT2LzgCxPSzJtYRkOO2vZHSRywA+qctal5oK1XpbiWEC
TTlMfIV6DwptK6Qc7jBh/ix90DeRBnI98Sd7h5lQWLDAG5nOAcq81q38rjY4
8tVISqRfHtisiJ65MckCyxheBzWtCIK4YX+lHe0G05Cimr7nT6FNU954ZXcf
iOebXNrBK4NMw9zKw6sD4KcYdFAxoBIcaYTlev0wSHKCJknS1fDTk3Orj4NH
IbpLqWA5rRaOf993f1pjDHxaMw416dSDMHyuRmPjsCdAZF6n6iXUHrKLXzw8
CZIZjg98cl/BvbhVK1YgG3Z+irmcw2uEh1L+V+aqOECdFrtVS6bDv808I9WJ
KXBal3UKDWDA/PFfvEe//QBJr5Y3WI1MyBk4IDhykgtRxvXN5TIt8CKj4BjH
fQbKujL/3n+hFZaugK15JA9YZZoDw+lt0Llykf04YxaOlblzW8deAypsOeTD
Z3M1fo0uCz7SpSe6m+fgxVC7oNCrHUzP73ecjZuHCOeaD9XVHfCihiJJ7BLA
OZWS+u2bnXAp6GmVS4gAHpi9JATp3RCbsLUQAhiU/Hk026AX8tbyRgrYAuCz
ygKprD5oONYSyl8SgPyB1gWu2wAEx9d6yHwSwLWx3MqKzUH4/V9ztL2iBFjY
yns50Ibh7qxNze5tBOSGv6lSNnwL+022vbotSYDBWe3CL1ij4JgyrJUsT4AG
+dFcj9t76OoSfiCyBJQyqD7Jm2PQ8bu4CQjxOtLq4yzWODgbh0duyBBgH85U
v02bACmn9HPKQjw5e991XfdJmLb3CXVWIEDHyiaXbcCGlN+yElq28B/0Ovo3
2cDNGnc5uZ2At0NJ1DAWByQ+xOvNCWu7P0vZZrQpSFpI/i1LyF+6kd77nfs0
sEyFCRPy/wv5mq10
      "]]}, {}}, {}, {}, {}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-0.69999287, 0.69997207}, {-1.00544, 1.00412}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.7303737838760586`*^9, 3.7303743878937883`*^9, 3.73039796406538*^9, 
   3.7303980554930277`*^9, 3.7304369434711533`*^9, 3.7304483686414633`*^9, 
   3.7304543975415845`*^9, 3.730467206398692*^9, 3.7304813345722857`*^9, 
   3.7304822756859603`*^9, 3.7305297232396593`*^9, 3.730529794980178*^9, 
   3.730530747798247*^9, 3.7306133837582235`*^9, {3.730624479827818*^9, 
   3.7306244963575335`*^9}, 3.7306270660643587`*^9, 3.7306277097615*^9, 
   3.730628574856745*^9, 3.730628664082795*^9, 3.730628821374322*^9, 
   3.7306346696197577`*^9, 3.7306424697516365`*^9, 3.730642574763251*^9, 
   3.730643483686085*^9, {3.730643981796857*^9, 3.730643993708934*^9}, 
   3.7307136393606324`*^9, 3.7307211793290524`*^9, 3.7307213726552644`*^9, 
   3.730721747422311*^9, 3.730722422023847*^9, 3.7307748985999384`*^9, 
   3.730785122662299*^9, 3.7308273453898053`*^9, 3.7308282284355974`*^9, 
   3.730828940233915*^9, {3.730829173004095*^9, 3.7308291939245176`*^9}, 
   3.730829387623315*^9, 3.7308301532713575`*^9, 3.730830197734318*^9, 
   3.730894301054492*^9, 3.7308951320651865`*^9, 
   3.7308965024151278`*^9},ExpressionUUID->"6ea27a67-022d-4706-b018-\
ffc2a913f231"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Subtracting", " ", "dead", " ", "layers", " ", "using", " ", "VSM", " ", 
    "magnetic", " ", "moment", " ", "data"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Options", "[", "RealThicknesses", "]"}], "=", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Mstheor", "\[Rule]", "800000"}], 
       RowBox[{"(*", 
        RowBox[{"A", "/", "m"}], "*)"}], " ", 
       RowBox[{"(*", " ", 
        RowBox[{
        "Bulk", " ", "saturation", " ", "magnetization", " ", "of", " ", 
         "Ni81Fe19"}], "*)"}], ",", "\[IndentingNewLine]", 
       RowBox[{"MMsat", "\[Rule]", 
        RowBox[{"1.90", "*", 
         SuperscriptBox["10", 
          RowBox[{"-", "8"}]]}]}], 
       RowBox[{"(*", 
        RowBox[{"A", "*", 
         SuperscriptBox["m", "2"]}], "*)"}], " ", 
       RowBox[{"(*", 
        RowBox[{
        "Saturated", " ", "total", " ", "magnetic", " ", "moment", " ", 
         "from", " ", "VSM"}], "*)"}], ",", "\[IndentingNewLine]", 
       RowBox[{"MMdiff", " ", "\[Rule]", 
        RowBox[{"0.342", "*", 
         SuperscriptBox["10", 
          RowBox[{"-", "8"}]]}]}], 
       RowBox[{"(*", 
        RowBox[{"A", "*", 
         SuperscriptBox["m", "2"]}], "*)"}], " ", 
       RowBox[{"(*", 
        RowBox[{
        "Antiparallel", " ", "state", " ", "total", " ", "magnetic", " ", 
         "moment", " ", "from", " ", "VSM"}], "*)"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Thickness1", "\[Rule]", 
        RowBox[{"3", "*", 
         SuperscriptBox["10", 
          RowBox[{"-", "9"}]]}]}], " ", 
       RowBox[{"(*", "m", "*)"}], 
       RowBox[{"(*", 
        RowBox[{
        "Expected", " ", "Thickness", " ", "of", " ", "the", " ", "1", "st", 
         " ", "layer"}], "*)"}], ",", "\[IndentingNewLine]", 
       RowBox[{"Thickness2", "\[Rule]", 
        RowBox[{"3", "*", 
         SuperscriptBox["10", 
          RowBox[{"-", "9"}]]}]}], "  ", 
       RowBox[{"(*", "m", "*)"}], 
       RowBox[{"(*", 
        RowBox[{
        "Expected", " ", "Thickness", " ", "of", " ", "the", " ", "2", "nd", 
         " ", "layer"}], "*)"}], ",", "\[IndentingNewLine]", 
       RowBox[{"area", "\[Rule]", " ", 
        RowBox[{"16", "*", 
         SuperscriptBox["10", 
          RowBox[{"-", "6"}]]}]}]}], 
      RowBox[{"(*", 
       SuperscriptBox["m", "2"], "*)"}], "\[IndentingNewLine]", "}"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"RealThicknesses", "[", 
     RowBox[{"OptionsPattern", "[", "]"}], "]"}], ":=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"t1", "=", 
         RowBox[{"OptionValue", "[", "Thickness1", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"t2", "=", 
         RowBox[{"OptionValue", "[", "Thickness2", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Msat", "=", 
         RowBox[{"OptionValue", "[", "Mstheor", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"MMsat", "=", 
         RowBox[{"OptionValue", "[", "MMsat", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"MMdiff", "=", 
         RowBox[{"OptionValue", "[", "MMdiff", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"S", "=", 
         RowBox[{"OptionValue", "[", "area", "]"}]}], ",", 
        "\[IndentingNewLine]", "\[Gamma]", ",", "M1", ",", "M2", ",", "t1eff",
         ",", "t2eff", ",", "resDL", ",", "res", ",", "\[Gamma]eff", ",", 
        "DeadLayersTh", ",", "DLTh1", ",", "DLTh2"}], "\[IndentingNewLine]", 
       "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"DeadLayersTh", "=", 
        RowBox[{"Flatten", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"DLTh1", ",", "DLTh2"}], "}"}], "/.", 
          RowBox[{"Solve", "[", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"{", "\[IndentingNewLine]", 
             RowBox[{
              RowBox[{
               RowBox[{"DLTh1", "+", "DLTh2"}], "\[Equal]", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"t1", "+", "t2"}], ")"}], "-", " ", 
                FractionBox["MMsat", 
                 RowBox[{"S", "*", "Msat"}]]}]}], " ", ",", " ", 
              "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"t1", "-", "DLTh1"}], ")"}], "-", 
                RowBox[{"(", " ", 
                 RowBox[{"t2", "-", "DLTh2"}], ")"}]}], "\[Equal]", 
               FractionBox["MMdiff", 
                RowBox[{"S", "*", "Msat"}]]}]}], "\[IndentingNewLine]", "}"}],
             ",", 
            RowBox[{"{", 
             RowBox[{"DLTh1", ",", "DLTh2"}], "}"}]}], "\[IndentingNewLine]", 
           "]"}]}], "\[IndentingNewLine]", "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"t1eff", "=", 
        RowBox[{"t1", "-", 
         RowBox[{"DeadLayersTh", "[", 
          RowBox[{"[", "1", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"t2eff", "=", 
        RowBox[{"t2", "-", 
         RowBox[{"DeadLayersTh", "[", 
          RowBox[{"[", "2", "]"}], "]"}]}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"res", "=", 
        RowBox[{"{", 
         RowBox[{"t1eff", ",", "t2eff"}], "}"}]}], ";", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{
          RowBox[{"{", "res", "}"}], "=", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"M1", ",", "M2"}], "}"}], "/.", 
           RowBox[{"Solve", "[", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{
               RowBox[{
                RowBox[{"M1", "+", 
                 RowBox[{"M2", "*", "\[Gamma]"}]}], "\[Equal]", 
                RowBox[{"Mpar", "*", 
                 RowBox[{"(", 
                  RowBox[{"1", "+", "\[Gamma]"}], ")"}]}]}], ",", 
               RowBox[{
                RowBox[{"M1", "-", 
                 RowBox[{"M2", "*", "\[Gamma]"}]}], "\[Equal]", 
                RowBox[{"Mapar", "*", 
                 RowBox[{"(", 
                  RowBox[{"1", "+", "\[Gamma]"}], ")"}]}]}]}], "}"}], ",", 
             RowBox[{"{", 
              RowBox[{"M1", ",", "M2"}], "}"}]}], "]"}]}]}], ";"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"Return", "[", "res", "]"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Return", "[", "res", "]"}]}]}], "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"pt1", "=", 
    RowBox[{
     RowBox[{"RealThicknesses", "[", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"pt2", "=", 
    RowBox[{
     RowBox[{"RealThicknesses", "[", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7293209859114203`*^9, 3.729321013309265*^9}, {
   3.729321047967413*^9, 3.7293210960302*^9}, {3.7293211276973963`*^9, 
   3.7293211660315514`*^9}, {3.7293212895560007`*^9, 
   3.7293216484348974`*^9}, {3.7293217447193956`*^9, 
   3.7293217808785343`*^9}, {3.7293219474634886`*^9, 
   3.7293221528441153`*^9}, {3.7293243491746936`*^9, 3.72932434957275*^9}, 
   3.7293246925113244`*^9, {3.7293247229081416`*^9, 3.7293247797431316`*^9}, {
   3.7293249643422766`*^9, 3.729325037729933*^9}, {3.729325076184202*^9, 
   3.729325129658348*^9}, {3.729326581739665*^9, 3.7293268141858997`*^9}, {
   3.729326895911561*^9, 3.7293273532816715`*^9}, {3.729327487176317*^9, 
   3.729327618811303*^9}, {3.7293281621279106`*^9, 3.7293281654648046`*^9}, {
   3.729330882469883*^9, 3.72933109255126*^9}, {3.7293311483325357`*^9, 
   3.7293312024273615`*^9}, {3.729331271453258*^9, 3.7293313372451725`*^9}, {
   3.729331370192772*^9, 3.729331384455597*^9}, {3.729331417739093*^9, 
   3.7293314193343267`*^9}, {3.7293315004452653`*^9, 3.7293316089055634`*^9}, 
   3.7293316521826267`*^9, {3.7293318802218924`*^9, 3.7293319241536827`*^9}, {
   3.7293319625443926`*^9, 3.729332054402695*^9}, {3.7293320975790987`*^9, 
   3.729332123049988*^9}, {3.7293321921953287`*^9, 3.7293322187626853`*^9}, {
   3.729332287925046*^9, 3.729332336235719*^9}, {3.7293323668891516`*^9, 
   3.7293323904767523`*^9}, {3.729332447177934*^9, 3.7293324967349305`*^9}, {
   3.7293325783477454`*^9, 3.7293326008205357`*^9}, {3.729332638128536*^9, 
   3.729332661866377*^9}, {3.72933276260126*^9, 3.7293327683279486`*^9}, {
   3.7293329483055377`*^9, 3.729333004247608*^9}, {3.7293330344150677`*^9, 
   3.7293330700371614`*^9}, 3.729333185059953*^9, {3.729333451115859*^9, 
   3.7293334749551277`*^9}, {3.729333564330291*^9, 3.7293336615968866`*^9}, {
   3.7293337209761114`*^9, 3.7293337216579237`*^9}, 3.7293419118616333`*^9, {
   3.7293507115667377`*^9, 3.7293507765708933`*^9}, {3.729350875962558*^9, 
   3.7293509409236064`*^9}, {3.7293510491683655`*^9, 
   3.7293511346814966`*^9}, {3.729351171158905*^9, 3.7293512489359035`*^9}, {
   3.729351290503873*^9, 3.7293513712478094`*^9}, {3.729351424609253*^9, 
   3.729351425918763*^9}, {3.729351466298067*^9, 3.72935146800809*^9}, {
   3.7293515617945414`*^9, 3.729351605806424*^9}, {3.729352072604698*^9, 
   3.7293520786773405`*^9}, {3.729352118081852*^9, 3.729352137274881*^9}, {
   3.7293522005290585`*^9, 3.729352252587469*^9}, {3.7293530857458773`*^9, 
   3.7293531158920283`*^9}, {3.7293531737017307`*^9, 
   3.7293531928576884`*^9}, {3.729353244419752*^9, 3.729353339621891*^9}, {
   3.7293536465946693`*^9, 3.7293536468102427`*^9}, {3.7293536872096553`*^9, 
   3.7293538639465556`*^9}, {3.729353925575411*^9, 3.7293539739199467`*^9}, {
   3.729354220903617*^9, 3.7293542241181636`*^9}, {3.729354306509221*^9, 
   3.729354310353469*^9}, {3.729354352586732*^9, 3.729354485960374*^9}, {
   3.7293579356731825`*^9, 3.7293579478555994`*^9}, {3.729357992217521*^9, 
   3.7293580132905474`*^9}, {3.729358105641667*^9, 3.7293581073973274`*^9}, {
   3.729358148397317*^9, 3.72935816401484*^9}, {3.7293582137150087`*^9, 
   3.729358374845764*^9}, {3.7293586080317197`*^9, 3.729358660268605*^9}, {
   3.7293587079714622`*^9, 3.7293587620472097`*^9}, {3.7293588027514324`*^9, 
   3.729358814954879*^9}, {3.729358860772696*^9, 3.729359041333*^9}, {
   3.729359153420933*^9, 3.729359174395699*^9}, {3.7293593201874647`*^9, 
   3.7293593529706273`*^9}, {3.729359965365877*^9, 3.729359970665968*^9}, 
   3.7293600326597953`*^9, {3.7293602628437986`*^9, 3.7293602637261443`*^9}, {
   3.7293603007034893`*^9, 3.7293603115051775`*^9}, {3.7293606567319613`*^9, 
   3.729360680663261*^9}, {3.7293639618930173`*^9, 3.7293639742679195`*^9}, {
   3.7293641637136364`*^9, 3.729364166464951*^9}, 3.7293641973370047`*^9, 
   3.7293646439061956`*^9, {3.729364812956624*^9, 3.729364830578477*^9}, {
   3.7293649013967657`*^9, 3.7293649787975826`*^9}, {3.7293650331951857`*^9, 
   3.729365119449515*^9}, {3.7293651695727797`*^9, 3.7293651716593285`*^9}, {
   3.7293652719640136`*^9, 3.7293652976435394`*^9}, {3.7293655166147337`*^9, 
   3.7293655560183043`*^9}, {3.729923588479156*^9, 3.7299235956983495`*^9}, {
   3.7299238048694844`*^9, 3.729923805075031*^9}, {3.729923841572713*^9, 
   3.7299238435920887`*^9}, {3.7299240292317743`*^9, 3.729924099387301*^9}, {
   3.7299244524351788`*^9, 3.7299244645734797`*^9}, {3.7299244946253524`*^9, 
   3.729924518028507*^9}, {3.729925007108632*^9, 3.729925022733162*^9}, {
   3.7299250540975513`*^9, 3.7299251260578775`*^9}, {3.7299291619851027`*^9, 
   3.7299292621484118`*^9}, {3.729929501139019*^9, 3.7299295271020317`*^9}, {
   3.7299295843191586`*^9, 3.7299296428026514`*^9}, {3.7299296728184566`*^9, 
   3.7299297549909325`*^9}, {3.729929817706707*^9, 3.729929823860068*^9}, {
   3.7299299059863925`*^9, 3.7299299517631016`*^9}, {3.729930063242821*^9, 
   3.7299301122882223`*^9}, {3.7299302117316165`*^9, 
   3.7299302251342444`*^9}, {3.729930276554825*^9, 3.7299302793893585`*^9}, {
   3.7299303393126836`*^9, 3.7299304010809183`*^9}, {3.7299304346531496`*^9, 
   3.7299304372941723`*^9}, {3.729930558997752*^9, 3.7299305604907484`*^9}, {
   3.72993078188037*^9, 3.72993083588192*^9}, {3.7299308735230246`*^9, 
   3.729930948606628*^9}, {3.7299310606595497`*^9, 3.729931124386985*^9}, 
   3.729931166585207*^9, {3.7299312174111843`*^9, 3.7299312188710938`*^9}, {
   3.729931257327338*^9, 3.729931280970199*^9}, {3.729931336616149*^9, 
   3.72993135607987*^9}, {3.729931456304343*^9, 3.7299314644620323`*^9}, {
   3.7299317676982636`*^9, 3.729931768981676*^9}, {3.7299320007041225`*^9, 
   3.72993204698818*^9}, {3.7299324354392204`*^9, 3.7299326447767973`*^9}, {
   3.7299328222494*^9, 3.7299328780568085`*^9}, 3.7299332729949517`*^9, {
   3.7299333836202793`*^9, 3.7299335786277566`*^9}, {3.7299336713532915`*^9, 
   3.729933736259862*^9}, {3.7299338019909067`*^9, 3.7299338037726727`*^9}, {
   3.7299338345314493`*^9, 3.7299338519367304`*^9}, {3.7299339107124977`*^9, 
   3.7299339129725366`*^9}, 3.729933958277989*^9, {3.7299340209506197`*^9, 
   3.729934110471607*^9}, {3.7299342018706408`*^9, 3.729934292371234*^9}, {
   3.7299344369339104`*^9, 3.72993445161191*^9}, {3.729934506085743*^9, 
   3.7299345473143597`*^9}, {3.729934612930845*^9, 3.729934636540591*^9}, {
   3.729934744539734*^9, 3.7299347859598627`*^9}, {3.729934830936472*^9, 
   3.7299348986184254`*^9}, {3.7299349386478233`*^9, 
   3.7299349847895317`*^9}, {3.7299351372789636`*^9, 3.729935144155218*^9}, {
   3.729935193157532*^9, 3.7299352054862947`*^9}, {3.7299352499304757`*^9, 
   3.7299353037555833`*^9}, {3.7299353629549522`*^9, 3.729935365300214*^9}, {
   3.7299353991020594`*^9, 3.7299354022634935`*^9}, {3.729935443316032*^9, 
   3.729935476498228*^9}, {3.7299355471921864`*^9, 3.729935556914034*^9}, {
   3.7299355882212987`*^9, 3.7299358301339917`*^9}, 3.7299358925950317`*^9, 
   3.7299359302989564`*^9, {3.7299359758721514`*^9, 3.7299360781580772`*^9}, {
   3.729936128240234*^9, 3.729936135345153*^9}, {3.7299363023427963`*^9, 
   3.7299363424233675`*^9}, 3.7299364230186443`*^9, {3.729936487779856*^9, 
   3.729936488580986*^9}, {3.7299365441657443`*^9, 3.729936547296067*^9}, {
   3.7299366435388002`*^9, 3.729936667999864*^9}, 3.7299371077460127`*^9, 
   3.729937141126766*^9, 3.7299371857082963`*^9, {3.729937894925065*^9, 
   3.729937922837278*^9}, 3.729937953109764*^9, {3.729938007823205*^9, 
   3.729938020829815*^9}, {3.7299380526133184`*^9, 3.7299380598916435`*^9}, 
   3.7299380993405285`*^9, 3.7299384054309464`*^9, 3.7299384740252943`*^9, 
   3.72993866773155*^9, {3.729938739906446*^9, 3.7299387429545507`*^9}, {
   3.7299409603784013`*^9, 3.7299409760289817`*^9}, {3.729941228027403*^9, 
   3.7299413137102127`*^9}, {3.7299414341083474`*^9, 3.729941453346472*^9}, 
   3.7299416523877325`*^9, {3.7299417521188946`*^9, 3.7299417918214264`*^9}, {
   3.7299420076255226`*^9, 3.7299420121966825`*^9}, {3.7299420545071883`*^9, 
   3.7299420802445984`*^9}, {3.7299421591503887`*^9, 3.729942162902365*^9}, {
   3.7299421990946174`*^9, 3.729942232304889*^9}, {3.7299423096806135`*^9, 
   3.7299423132450895`*^9}, {3.729942390933671*^9, 3.7299423911512227`*^9}, 
   3.7299424781185603`*^9, 3.72994312942468*^9, {3.729943210519328*^9, 
   3.7299432286789722`*^9}, {3.729943385104375*^9, 3.7299433868379517`*^9}, {
   3.7299435975157857`*^9, 3.729943603282117*^9}, {3.729943677955455*^9, 
   3.7299436985101385`*^9}, {3.729952689741935*^9, 3.729952702087788*^9}, {
   3.729958785854088*^9, 3.729958786992691*^9}, {3.729958870751807*^9, 
   3.7299588971660233`*^9}, {3.7299590952193575`*^9, 3.729959100657831*^9}, 
   3.729961469386286*^9, {3.7299621333845654`*^9, 3.7299621335736856`*^9}, 
   3.729962248418306*^9, {3.729965639271676*^9, 3.729965642211252*^9}, {
   3.729966114433053*^9, 3.7299661169061832`*^9}, {3.7299661641750884`*^9, 
   3.7299663875442944`*^9}, {3.729966482212372*^9, 3.7299665384445157`*^9}, {
   3.7299678131014667`*^9, 3.729967863517296*^9}, {3.7299693919393897`*^9, 
   3.7299693931444445`*^9}, {3.729975085170754*^9, 3.7299750868250566`*^9}, {
   3.7299753088811207`*^9, 3.729975344548808*^9}, 3.7300938030003505`*^9, {
   3.7301013785351295`*^9, 3.7301013796019692`*^9}, {3.730101523169158*^9, 
   3.730101525498314*^9}, 3.730104062455353*^9, {3.730105113838559*^9, 
   3.730105114324853*^9}, {3.7301051754689803`*^9, 3.730105196677151*^9}, {
   3.7301062262167144`*^9, 3.7301062599199452`*^9}, {3.7301063209948473`*^9, 
   3.730106371318656*^9}, {3.730106434535358*^9, 3.7301064381098824`*^9}, {
   3.7301067829552746`*^9, 3.7301068007024603`*^9}, {3.730106994580603*^9, 
   3.730107077756506*^9}, {3.730107141193515*^9, 3.7301072227268376`*^9}, {
   3.7301073530037556`*^9, 3.7301074202377777`*^9}, 3.7301074657447023`*^9, {
   3.730107499274325*^9, 3.730107499858901*^9}, {3.730107829664833*^9, 
   3.7301078821831026`*^9}, {3.73010791235303*^9, 3.730107937741277*^9}, {
   3.7301080078011775`*^9, 3.7301080622683*^9}, {3.730108184577509*^9, 
   3.7301082463224072`*^9}, {3.7301084105572176`*^9, 3.730108411256076*^9}, {
   3.7301084828828897`*^9, 3.7301084835667076`*^9}, 3.7301085573166485`*^9, {
   3.730109051899516*^9, 3.730109075684436*^9}, {3.7301100257263203`*^9, 
   3.7301100288606825`*^9}, {3.730110151811551*^9, 3.730110152113353*^9}, {
   3.730110329791643*^9, 3.730110336029228*^9}, {3.7301104084427834`*^9, 
   3.7301104100159674`*^9}, {3.7301105074567113`*^9, 3.730110515813959*^9}, 
   3.730110611499335*^9, {3.730110716288945*^9, 3.7301107166649733`*^9}, 
   3.7301107843619347`*^9, 3.730111577292194*^9, {3.7301116662617426`*^9, 
   3.73011167249331*^9}, {3.730112281886674*^9, 3.730112285427087*^9}, {
   3.730112818460292*^9, 3.7301128188954773`*^9}, 3.7301128568684106`*^9, {
   3.7301129281487455`*^9, 3.7301129372449512`*^9}, {3.730112980178086*^9, 
   3.730113009903139*^9}, {3.7301130539702744`*^9, 3.730113054823574*^9}, {
   3.7301143372283964`*^9, 3.7301143701078153`*^9}, {3.730114437829871*^9, 
   3.7301144409331217`*^9}, {3.730121542600752*^9, 3.730121552899104*^9}, {
   3.7301216387564545`*^9, 3.7301216391183844`*^9}, {3.730121712767753*^9, 
   3.730121712911296*^9}, {3.7301217756195126`*^9, 3.730121777725931*^9}, {
   3.730121832519147*^9, 3.730121832689607*^9}, {3.730121885780733*^9, 
   3.7301218988183966`*^9}, {3.730121988056665*^9, 3.7301219882541904`*^9}, {
   3.7301220931272497`*^9, 3.7301220964009857`*^9}, {3.730122198683993*^9, 
   3.7301222037975893`*^9}, {3.730180721243804*^9, 3.7301807423338137`*^9}, {
   3.7301809916481457`*^9, 3.7301810080909195`*^9}, {3.7301811510081263`*^9, 
   3.7301811998640375`*^9}, {3.7301812377681155`*^9, 
   3.7301813079413424`*^9}, {3.730181379931585*^9, 3.730181383253393*^9}, {
   3.7301814134485016`*^9, 3.7301814218738976`*^9}, 3.730184120338315*^9, {
   3.730184187074767*^9, 3.7301843235583096`*^9}, {3.7301843938601007`*^9, 
   3.7301844305563107`*^9}, {3.7301844842871137`*^9, 
   3.7301845562016664`*^9}, {3.7301845964621315`*^9, 
   3.7301846754374733`*^9}, {3.7302579438490477`*^9, 3.730257946048129*^9}, {
   3.7302580230988135`*^9, 3.7302580329948297`*^9}, {3.730266881178776*^9, 
   3.730266885042816*^9}, {3.7302826268020134`*^9, 3.730282651664918*^9}, {
   3.7302929604982452`*^9, 3.7302929701900053`*^9}, {3.7303895006165266`*^9, 
   3.7303895402401075`*^9}, {3.730436493929474*^9, 3.7304365102361016`*^9}, {
   3.7304537218331194`*^9, 3.730453758655396*^9}, {3.730454060562368*^9, 
   3.7304540663405905`*^9}, {3.7304541900291843`*^9, 3.730454203813691*^9}, {
   3.7305300571440735`*^9, 3.730530058886044*^9}, {3.730613748339453*^9, 
   3.7306137484514923`*^9}, {3.7306273238327246`*^9, 
   3.7306273354157686`*^9}, {3.730627455589964*^9, 3.7306274559063053`*^9}, {
   3.73062756559151*^9, 3.73062756716234*^9}, 3.730627916600381*^9, {
   3.730642892172493*^9, 3.7306429283496037`*^9}, {3.730713400708245*^9, 
   3.73071344590681*^9}, {3.730782792107009*^9, 3.7307828152294083`*^9}, {
   3.7307828497429914`*^9, 3.7307828558661165`*^9}, {3.730783141038316*^9, 
   3.7307831631684113`*^9}, {3.730783272236513*^9, 3.7307832849644117`*^9}, {
   3.730783373408198*^9, 3.730783400926137*^9}, {3.730827415957739*^9, 
   3.7308274221023054`*^9}, {3.730827478718444*^9, 3.730827482327099*^9}, 
   3.730827665499463*^9, {3.7308951592655087`*^9, 3.7308951913327374`*^9}, {
   3.7308952467771506`*^9, 3.730895267146307*^9}, {3.730896533042426*^9, 
   3.730896553819908*^9}, {3.731170484545334*^9, 3.731170524545828*^9}, 
   3.7311712392600646`*^9, {3.731171291399184*^9, 3.731171318345059*^9}, {
   3.731171458204365*^9, 3.731171514103076*^9}, {3.7326873561913366`*^9, 
   3.7326874370567923`*^9}, {3.732687641360693*^9, 3.7326876587115717`*^9}, 
   3.7327250798682137`*^9, {3.732725273864786*^9, 3.7327252845161257`*^9}, {
   3.732725350606716*^9, 
   3.7327253570598288`*^9}},ExpressionUUID->"95940a2e-f38f-461b-81c7-\
a8ec9eef38e8"],

Cell[BoxData["8.7578125`*^-10"], "Output",
 CellChangeTimes->{3.7326891486456766`*^9, 3.7327051479488583`*^9, 
  3.7327125994317837`*^9, 
  3.732725375183552*^9},ExpressionUUID->"d30d1363-dc98-4437-b240-\
7641624f9e83"],

Cell[BoxData["6.085937499999998`*^-10"], "Output",
 CellChangeTimes->{3.7326891486456766`*^9, 3.7327051479488583`*^9, 
  3.7327125994317837`*^9, 
  3.7327253751870604`*^9},ExpressionUUID->"8cefeeeb-f1d5-498a-958d-\
1fcc63cc7ef2"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{"This", " ", "magnetizatons", " ", 
     RowBox[{"(", 
      RowBox[{"SaturationValue", ",", "CoupledValue"}], " ", ")"}], " ", 
     "calculated", " ", "as", " ", "magnetic", " ", "moment", " ", "divided", 
     " ", "by", " ", "expected", " ", "volume", " ", 
     RowBox[{"(", 
      RowBox[{"16", " ", 
       RowBox[{"mm", "^", "2"}], " ", "*", " ", 
       RowBox[{
        RowBox[{"3", "/", "6"}], "/", "9"}]}], ")"}], " ", "and", " ", "then",
      "\[IndentingNewLine]", "\[IndentingNewLine]", "corresponding", " ", 
     "values", " ", "determined", " ", "in", " ", "a", " ", "coupled", " ", 
     "and", "  ", "saturated", " ", 
     RowBox[{"state", ".", " ", "So"}], " ", "it", " ", "is", " ", 
     "basically", " ", "normalized", " ", "by", " ", "thickness", " ", "and", 
     " ", "area", " ", "magnetic", " ", 
     RowBox[{
     "moment", ".", "\[IndentingNewLine]", "\[IndentingNewLine]", "I"}], " ", 
     "did", " ", "it", " ", "in", " ", "this", " ", "way", " ", "because", 
     " ", "this", " ", "is", " ", "the", " ", "only", " ", "way", " ", "one", 
     " ", "can", " ", "get", " ", "non"}], "-", 
    RowBox[{
    "zero", " ", "net", " ", "magnetization", " ", "in", " ", "0", " ", 
     "field", " ", "in", " ", "coupled", " ", "state"}]}], "*)"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", "Va", "*)"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Options", "[", "MagnetizationsNoDL", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"SaturationValue", "\[Rule]", "0.199089`15"}], 
       RowBox[{"(*", 
        RowBox[{"MA", "/", "m"}], "*)"}], ",", 
       RowBox[{"CoupledValue", "\[Rule]", "0.035672`15"}]}], 
      RowBox[{"(*", 
       RowBox[{"MA", "/", "m"}], "*)"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MagnetizationsNoDL", "[", 
     RowBox[{"OptionsPattern", "[", "]"}], "]"}], ":=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Ms", "=", 
         RowBox[{"OptionValue", "[", "SaturationValue", "]"}]}], ",", 
        RowBox[{"Mc", "=", 
         RowBox[{"OptionValue", "[", "CoupledValue", "]"}]}], ",", "res", ",",
         "M1", ",", "M2"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{
        RowBox[{"{", "res", "}"}], "=", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"M1", ",", "M2"}], "}"}], "/.", 
         RowBox[{"Solve", "[", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{
             RowBox[{
              RowBox[{"M1", "+", "M2"}], "\[Equal]", "Ms"}], ",", 
             RowBox[{
              RowBox[{"M1", "-", "M2"}], "\[Equal]", "Mc"}]}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"M1", ",", "M2"}], "}"}]}], "]"}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"res", ",", "Module"}], "]"}], ";"}]}], "\[IndentingNewLine]",
      "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"m1NoDL", "=", 
    RowBox[{
     RowBox[{"MagnetizationsNoDL", "[", "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"m2NoDL", "=", 
    RowBox[{
     RowBox[{"MagnetizationsNoDL", "[", "]"}], "[", 
     RowBox[{"[", "2", "]"}], "]"}]}]}]}]], "Input",
 CellChangeTimes->{{3.7304537312318144`*^9, 3.7304540585681686`*^9}, {
   3.730454099036519*^9, 3.730454110531895*^9}, {3.730481210133524*^9, 
   3.7304812631795244`*^9}, {3.7306273470556636`*^9, 
   3.7306273605216713`*^9}, {3.730642938976542*^9, 3.7306429658052163`*^9}, {
   3.7307168366554747`*^9, 3.7307168571933975`*^9}, 3.7307170170935388`*^9, {
   3.7307834494013724`*^9, 3.73078345670737*^9}, {3.730783533178043*^9, 
   3.7307835358251123`*^9}, {3.7308277415140653`*^9, 3.730827743214142*^9}, {
   3.7308278579643507`*^9, 3.730827859934882*^9}, {3.7308953002524624`*^9, 
   3.730895328041379*^9}, {3.7308965998971195`*^9, 3.7308966312070484`*^9}, {
   3.732687695692503*^9, 3.73268772304924*^9}, {3.7326886301584578`*^9, 
   3.732688676178008*^9}, {3.7326888486119423`*^9, 3.7326889929178624`*^9}, {
   3.732725060752714*^9, 3.7327250686453056`*^9}, {3.7327256531431694`*^9, 
   3.732725657900902*^9}, {3.7327257073735933`*^9, 
   3.732725709927734*^9}},ExpressionUUID->"811be3fd-f1ed-48bb-be21-\
237c974d3331"],

Cell[BoxData["0.1173805`15."], "Output",
 CellChangeTimes->{
  3.73045407155026*^9, 3.730454111141575*^9, 3.730454397724584*^9, 
   3.730455051204544*^9, 3.7304812749819527`*^9, 3.7304822758805466`*^9, 
   3.730483579277914*^9, 3.7305297234140406`*^9, 3.730529795160152*^9, 
   3.7305307939330215`*^9, 3.7306134923910933`*^9, 3.730624722994529*^9, 
   3.730627553344378*^9, 3.730627710115836*^9, 3.7306281375301313`*^9, 
   3.7306288215568075`*^9, 3.7306434838260565`*^9, 3.7307137464917545`*^9, 
   3.730713876293671*^9, 3.730716865754815*^9, {3.73071701992785*^9, 
   3.7307170270005035`*^9}, 3.7307217476281834`*^9, 3.7307835435067387`*^9, 
   3.730785160377552*^9, 3.7308278721845016`*^9, 3.7308281670066004`*^9, 
   3.7308294084568834`*^9, 3.730895339397564*^9, 3.730895724140509*^9, 
   3.7308965607080207`*^9, 3.7308966349664907`*^9, 3.7308970411415267`*^9, 
   3.7327051480040035`*^9, 3.7327125995621305`*^9, 
   3.7327253814486237`*^9},ExpressionUUID->"9572699b-fbd9-4a9b-8ca4-\
377fc3783094"],

Cell[BoxData["0.0817085`15."], "Output",
 CellChangeTimes->{
  3.73045407155026*^9, 3.730454111141575*^9, 3.730454397724584*^9, 
   3.730455051204544*^9, 3.7304812749819527`*^9, 3.7304822758805466`*^9, 
   3.730483579277914*^9, 3.7305297234140406`*^9, 3.730529795160152*^9, 
   3.7305307939330215`*^9, 3.7306134923910933`*^9, 3.730624722994529*^9, 
   3.730627553344378*^9, 3.730627710115836*^9, 3.7306281375301313`*^9, 
   3.7306288215568075`*^9, 3.7306434838260565`*^9, 3.7307137464917545`*^9, 
   3.730713876293671*^9, 3.730716865754815*^9, {3.73071701992785*^9, 
   3.7307170270005035`*^9}, 3.7307217476281834`*^9, 3.7307835435067387`*^9, 
   3.730785160377552*^9, 3.7308278721845016`*^9, 3.7308281670066004`*^9, 
   3.7308294084568834`*^9, 3.730895339397564*^9, 3.730895724140509*^9, 
   3.7308965607080207`*^9, 3.7308966349664907`*^9, 3.7308970411415267`*^9, 
   3.7327051480040035`*^9, 3.7327125995621305`*^9, 
   3.7327253814511304`*^9},ExpressionUUID->"a97b835b-cb95-4e66-8eaa-\
eb6de43379f1"]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
   "Minimization", " ", "of", " ", "total", " ", "energy", " ", "by", " ", 
    "angles"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Options", "[", "MHloop", "]"}], "=", "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Thickness1", "\[Rule]", 
        RowBox[{"pt1", "*", 
         SuperscriptBox["10", "6"]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Thickness2", "->", 
        RowBox[{"pt2", "*", 
         SuperscriptBox["10", "6"]}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"Magnetization1", "\[Rule]", 
        RowBox[{"(*", "m1", "*)"}], "m1NoDL"}], ",", 
       RowBox[{"(*", 
        RowBox[{"MA", "/", "m"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Magnetization2", "\[Rule]", 
        RowBox[{"(*", "m2", "*)"}], "m2NoDL"}], ",", 
       RowBox[{"(*", 
        RowBox[{"MA", "/", "m"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"SaturationMagnetization", " ", "\[Rule]", "0.8"}], ",", 
       RowBox[{"(*", 
        RowBox[{"MA", "/", "m"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"AnisotropyEnergy", "->", "0.0003`15"}], 
       RowBox[{"(*", 
        RowBox[{"MJ", "/", 
         SuperscriptBox["m", "3"]}], "*)"}], ",", "\[IndentingNewLine]", 
       RowBox[{"FieldAngle", "->", 
        RowBox[{"N", "[", 
         RowBox[{"0.0", ",", "15"}], "]"}]}], ",", "\[IndentingNewLine]", 
       RowBox[{"StartingField", "\[Rule]", "0.7`15"}], " ", 
       RowBox[{"(*", "T", "*)"}], ",", "\[IndentingNewLine]", 
       RowBox[{"FieldStep", "\[Rule]", "0.001`15"}]}], " ", 
      RowBox[{"(*", "T", "*)"}], "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{
        "Make", " ", "it", " ", "a", " ", "function", " ", "of", " ", "J1"}], 
        ",", 
        RowBox[{"J2", " ", "after", " ", "tests"}]}], "*)"}], 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{
        RowBox[{"BilinearCoupling", "\[Rule]", 
         RowBox[{"-", "0.000197`15"}]}], ",", 
        RowBox[{"(*", 
         RowBox[{"J", "/", 
          SuperscriptBox["m", "2"]}], "*)"}], ",", "\[IndentingNewLine]", 
        RowBox[{"BiqudraticCoupling", "\[Rule]", 
         RowBox[{"-", "0.0`15"}]}]}], 
       RowBox[{"(*", 
        RowBox[{"J", "/", 
         SuperscriptBox["m", "2"]}], "*)"}], "*)"}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
      "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"MHloop", "[", 
     RowBox[{"J1_", ",", "J2_", ",", 
      RowBox[{"opts", ":", 
       RowBox[{"OptionsPattern", "[", "]"}]}]}], "]"}], ":=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"t1", "=", 
         RowBox[{"OptionValue", "[", "Thickness1", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"t2", "=", 
         RowBox[{"OptionValue", "[", "Thickness2", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"M1", "=", 
         RowBox[{"OptionValue", "[", "Magnetization1", "]"}]}], ",", 
        "\[IndentingNewLine]", " ", 
        RowBox[{"M2", "=", 
         RowBox[{"OptionValue", "[", "Magnetization2", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Ms", "=", 
         RowBox[{"OptionValue", "[", "SaturationMagnetization", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"Ku", "=", 
         RowBox[{"OptionValue", "[", "AnisotropyEnergy", "]"}]}], ",", 
        RowBox[{"(*", 
         RowBox[{"MJ", "/", 
          RowBox[{"m", "^", "3"}]}], "*)"}], " ", 
        RowBox[{"(*", 
         RowBox[{"Magnito", "-", 
          RowBox[{"crystalline", " ", "anisotropy", " ", "energy"}]}], "*)"}],
         "\[IndentingNewLine]", 
        RowBox[{"\[Alpha]", "=", 
         RowBox[{"OptionValue", "[", "FieldAngle", "]"}]}], ",", 
        RowBox[{"(*", "rad", "*)"}], 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"Relative", " ", "to", " ", "ez"}], "-", "axis"}], "*)"}], 
        "\[IndentingNewLine]", 
        RowBox[{"Hstart", "=", 
         RowBox[{"OptionValue", "[", "StartingField", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"dH", "=", 
         RowBox[{"OptionValue", "[", "FieldStep", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"(*", 
         RowBox[{
          RowBox[{"J1", "=", 
           RowBox[{"OptionValue", "[", "BilinearCoupling", "]"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"J2", "=", 
           RowBox[{"OptionValue", "[", "BiqudraticCoupling", "]"}]}], ","}], 
         "*)"}], "\[IndentingNewLine]", "B", ",", "Ez1", ",", "Ez2", ",", 
        "Eex", ",", "Etot", ",", "minima", ",", "\[Psi]1", ",", "\[Psi]2", 
        ",", "\[Psi]1eq", ",", "\[Psi]2eq", ",", "ApproximationFunc", ",", 
        "Magnetizationtable"}], "\[IndentingNewLine]", "}"}], ",", 
      "\[IndentingNewLine]", 
      RowBox[{"(*", 
       RowBox[{"Zeeman", " ", "energies"}], "*)"}], "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"Ez1", "=", 
        RowBox[{
         RowBox[{"Ku", "*", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "\[Psi]1", "]"}], "2"]}], "-", 
         RowBox[{"Ms", "*", "B", "*", 
          RowBox[{"Cos", "[", 
           RowBox[{"\[Alpha]", "-", "\[Psi]1"}], "]"}]}]}]}], ";", " ", 
       RowBox[{"Ez2", "=", 
        RowBox[{
         RowBox[{"Ku", "*", 
          SuperscriptBox[
           RowBox[{"Sin", "[", "\[Psi]2", "]"}], "2"]}], "-", 
         RowBox[{"Ms", "*", "B", "*", 
          RowBox[{"Cos", "[", 
           RowBox[{"\[Alpha]", "-", "\[Psi]2"}], "]"}]}]}]}], ";", " ", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"Exchange", " ", "energy"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Eex", "=", 
        RowBox[{
         RowBox[{
          RowBox[{"-", "J1"}], "*", 
          RowBox[{"Cos", "[", 
           RowBox[{"\[Psi]1", "-", "\[Psi]2"}], "]"}]}], "-", 
         RowBox[{"J2", "*", 
          SuperscriptBox[
           RowBox[{"Cos", "[", 
            RowBox[{"\[Psi]1", "-", "\[Psi]2"}], "]"}], "2"]}]}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"Total", " ", "energy"}], "*)"}], "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"Etot", "[", 
         RowBox[{"\[Psi]1_", ",", "\[Psi]2_"}], "]"}], ":=", 
        RowBox[{
         RowBox[{"Ez1", "*", "t1"}], "+", 
         RowBox[{"Ez2", "*", "t2"}], "+", "Eex"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
        "Other", " ", "minimization", " ", "functions", " ", "commented"}], 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"minima", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"fieldTesla", ",", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"\[Psi]1", ",", "\[Psi]2"}], "}"}], "/.", 
               RowBox[{"Last", "[", 
                RowBox[{"FindMinimum", "[", 
                 RowBox[{
                  RowBox[{"{", 
                   RowBox[{
                    RowBox[{
                    RowBox[{"Etot", "[", 
                    RowBox[{"\[Psi]1", ",", "\[Psi]2"}], "]"}], "/.", 
                    RowBox[{"B", "\[Rule]", "fieldTesla"}]}], ",", 
                    RowBox[{"0", "\[LessEqual]", "\[Psi]1", "<", 
                    RowBox[{"N", "[", 
                    RowBox[{
                    RowBox[{"2", "*", "Pi"}], ",", "30"}], "]"}]}], ",", 
                    RowBox[{"0", "\[LessEqual]", "\[Psi]2", "<", 
                    RowBox[{"N", "[", 
                    RowBox[{
                    RowBox[{"2", "*", "Pi"}], ",", "30"}], "]"}]}]}], "}"}], 
                  ",", 
                  RowBox[{"{", 
                   RowBox[{"\[Psi]1", ",", "\[Psi]2"}], "}"}], ",", 
                  RowBox[{"AccuracyGoal", "\[Rule]", "10"}], ",", 
                  RowBox[{"PrecisionGoal", "\[Rule]", "10"}], ",", 
                  RowBox[{"WorkingPrecision", "\[Rule]", "31"}]}], "]"}], 
                "]"}]}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"fieldTesla", ",", "0.7`30", ",", 
              RowBox[{"-", "0.7`30"}], ",", 
              RowBox[{"-", "0.001`30"}]}], "}"}]}], "]"}]}], ";"}], "*)"}], 
       "\[IndentingNewLine]", 
       RowBox[{"minima", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"fieldTesla", ",", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"\[Psi]1", ",", "\[Psi]2"}], "}"}], "/.", 
             RowBox[{"Last", "[", 
              RowBox[{"NMinimize", "[", 
               RowBox[{
                RowBox[{"{", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"Etot", "[", 
                    RowBox[{"\[Psi]1", ",", "\[Psi]2"}], "]"}], "/.", 
                   RowBox[{"B", "\[Rule]", "fieldTesla"}]}], ",", 
                  RowBox[{"0`15", "<=", "\[Psi]1", "<=", 
                   RowBox[{"N", "[", 
                    RowBox[{
                    RowBox[{"2", "*", "Pi"}], ",", "15"}], "]"}]}], ",", 
                  RowBox[{"0`15", "<=", "\[Psi]2", "<=", 
                   RowBox[{"N", "[", 
                    RowBox[{
                    RowBox[{"2", "*", "Pi"}], ",", "15"}], "]"}]}]}], "}"}], 
                ",", 
                RowBox[{"{", 
                 RowBox[{"\[Psi]1", ",", "\[Psi]2"}], "}"}], ",", 
                RowBox[{"MaxIterations", "\[Rule]", "10000"}], ",", " ", 
                RowBox[{"WorkingPrecision", "\[Rule]", "15"}]}], "]"}], 
              "]"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"fieldTesla", ",", "Hstart", ",", 
            RowBox[{"-", "Hstart"}], ",", 
            RowBox[{
             RowBox[{"Sign", "[", 
              RowBox[{"-", "Hstart"}], "]"}], "*", "dH"}]}], "}"}]}], "]"}]}],
        ";", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{"Normalized", " ", "magnetization", " ", "approximation"}], 
        "*)"}], "\[IndentingNewLine]", 
       RowBox[{"ApproximationFunc", "=", 
        FractionBox[
         RowBox[{
          RowBox[{"M1", "*", 
           RowBox[{"Cos", "[", 
            RowBox[{"\[Psi]1eq", "-", "\[Alpha]"}], "]"}]}], "+", 
          RowBox[{"M2", "*", 
           RowBox[{"Cos", "[", 
            RowBox[{"\[Psi]2eq", "-", "\[Alpha]"}], "]"}]}]}], 
         RowBox[{"M1", "+", "M2"}]]}], ";", "\[IndentingNewLine]", 
       RowBox[{"Magnetizationtable", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"minima", "[", 
             RowBox[{"[", 
              RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
            RowBox[{"ApproximationFunc", "/.", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"\[Psi]1eq", "->", 
                RowBox[{
                 RowBox[{"minima", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2"}], "]"}], "]"}], "[", 
                 RowBox[{"[", "1", "]"}], "]"}]}], ",", 
               RowBox[{"\[Psi]2eq", "->", 
                RowBox[{
                 RowBox[{"minima", "[", 
                  RowBox[{"[", 
                   RowBox[{"i", ",", "2"}], "]"}], "]"}], "[", 
                 RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{"Length", "[", "minima", "]"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"Magnetizationtable", ",", "Module"}], "]"}]}]}], 
     "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{
       RowBox[{"Magnetizationfunc", " ", "=", 
        RowBox[{"Interpolation", "[", "Magnetizationtable", "]"}]}], ";"}], 
      "*)"}], "\[IndentingNewLine]", "]"}]}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7293209859114203`*^9, 3.729321013309265*^9}, {
   3.729321047967413*^9, 3.7293210960302*^9}, {3.7293211276973963`*^9, 
   3.7293211660315514`*^9}, {3.7293212895560007`*^9, 
   3.7293216484348974`*^9}, {3.7293217447193956`*^9, 
   3.7293217808785343`*^9}, {3.7293219474634886`*^9, 
   3.7293221528441153`*^9}, {3.7293243491746936`*^9, 3.72932434957275*^9}, 
   3.7293246925113244`*^9, {3.7293247229081416`*^9, 3.7293247797431316`*^9}, {
   3.7293249643422766`*^9, 3.729325037729933*^9}, {3.729325076184202*^9, 
   3.729325129658348*^9}, {3.729326581739665*^9, 3.7293268141858997`*^9}, {
   3.729326895911561*^9, 3.7293273532816715`*^9}, {3.729327487176317*^9, 
   3.729327618811303*^9}, {3.7293281621279106`*^9, 3.7293281654648046`*^9}, {
   3.729330882469883*^9, 3.72933109255126*^9}, {3.7293311483325357`*^9, 
   3.7293312024273615`*^9}, {3.729331271453258*^9, 3.7293313372451725`*^9}, {
   3.729331370192772*^9, 3.729331384455597*^9}, {3.729331417739093*^9, 
   3.7293314193343267`*^9}, {3.7293315004452653`*^9, 3.7293316089055634`*^9}, 
   3.7293316521826267`*^9, {3.7293318802218924`*^9, 3.7293319241536827`*^9}, {
   3.7293319625443926`*^9, 3.729332054402695*^9}, {3.7293320975790987`*^9, 
   3.729332123049988*^9}, {3.7293321921953287`*^9, 3.7293322187626853`*^9}, {
   3.729332287925046*^9, 3.729332336235719*^9}, {3.7293323668891516`*^9, 
   3.7293323904767523`*^9}, {3.729332447177934*^9, 3.7293324967349305`*^9}, {
   3.7293325783477454`*^9, 3.7293326008205357`*^9}, {3.729332638128536*^9, 
   3.729332661866377*^9}, {3.72933276260126*^9, 3.7293327683279486`*^9}, {
   3.7293329483055377`*^9, 3.729333004247608*^9}, {3.7293330344150677`*^9, 
   3.7293330700371614`*^9}, 3.729333185059953*^9, {3.729333451115859*^9, 
   3.7293334749551277`*^9}, {3.729333564330291*^9, 3.7293336615968866`*^9}, {
   3.7293337209761114`*^9, 3.7293337216579237`*^9}, 3.7293419118616333`*^9, {
   3.7293507115667377`*^9, 3.7293507765708933`*^9}, {3.729350875962558*^9, 
   3.7293509409236064`*^9}, {3.7293510491683655`*^9, 
   3.7293511346814966`*^9}, {3.729351171158905*^9, 3.7293512489359035`*^9}, {
   3.729351290503873*^9, 3.7293513712478094`*^9}, {3.729351424609253*^9, 
   3.729351425918763*^9}, {3.729351466298067*^9, 3.72935146800809*^9}, {
   3.7293515617945414`*^9, 3.729351605806424*^9}, {3.729352072604698*^9, 
   3.7293520786773405`*^9}, {3.729352118081852*^9, 3.729352137274881*^9}, {
   3.7293522005290585`*^9, 3.729352252587469*^9}, {3.7293530857458773`*^9, 
   3.7293531158920283`*^9}, {3.7293531737017307`*^9, 
   3.7293531928576884`*^9}, {3.729353244419752*^9, 3.729353339621891*^9}, {
   3.7293536465946693`*^9, 3.7293536468102427`*^9}, {3.7293536872096553`*^9, 
   3.7293538639465556`*^9}, {3.729353925575411*^9, 3.7293539739199467`*^9}, {
   3.729354220903617*^9, 3.7293542241181636`*^9}, {3.729354306509221*^9, 
   3.729354310353469*^9}, {3.729354352586732*^9, 3.729354485960374*^9}, {
   3.7293579356731825`*^9, 3.7293579478555994`*^9}, {3.729357992217521*^9, 
   3.7293580132905474`*^9}, {3.729358105641667*^9, 3.7293581073973274`*^9}, {
   3.729358148397317*^9, 3.72935816401484*^9}, {3.7293582137150087`*^9, 
   3.729358374845764*^9}, {3.7293586080317197`*^9, 3.729358660268605*^9}, {
   3.7293587079714622`*^9, 3.7293587620472097`*^9}, {3.7293588027514324`*^9, 
   3.729358814954879*^9}, {3.729358860772696*^9, 3.729359041333*^9}, {
   3.729359153420933*^9, 3.729359174395699*^9}, {3.7293593201874647`*^9, 
   3.7293593529706273`*^9}, {3.729359965365877*^9, 3.729359970665968*^9}, 
   3.7293600326597953`*^9, {3.7293602628437986`*^9, 3.7293602637261443`*^9}, {
   3.7293603007034893`*^9, 3.7293603115051775`*^9}, {3.7293606567319613`*^9, 
   3.729360680663261*^9}, {3.7293639618930173`*^9, 3.7293639742679195`*^9}, {
   3.7293641637136364`*^9, 3.729364166464951*^9}, 3.7293641973370047`*^9, 
   3.7293646439061956`*^9, {3.729364812956624*^9, 3.729364830578477*^9}, {
   3.7293649013967657`*^9, 3.7293649787975826`*^9}, {3.7293650331951857`*^9, 
   3.729365119449515*^9}, {3.7293651695727797`*^9, 3.7293651716593285`*^9}, {
   3.7293652719640136`*^9, 3.7293652976435394`*^9}, {3.7293655166147337`*^9, 
   3.7293655560183043`*^9}, {3.729923588479156*^9, 3.7299235956983495`*^9}, {
   3.7299238048694844`*^9, 3.729923805075031*^9}, {3.729923841572713*^9, 
   3.7299238435920887`*^9}, {3.7299240292317743`*^9, 3.729924099387301*^9}, {
   3.7299244524351788`*^9, 3.7299244645734797`*^9}, {3.7299244946253524`*^9, 
   3.729924518028507*^9}, {3.729925007108632*^9, 3.729925022733162*^9}, {
   3.7299250540975513`*^9, 3.7299251260578775`*^9}, {3.7299291619851027`*^9, 
   3.7299292621484118`*^9}, {3.729929501139019*^9, 3.7299295271020317`*^9}, {
   3.7299295843191586`*^9, 3.7299296428026514`*^9}, {3.7299296728184566`*^9, 
   3.7299297549909325`*^9}, {3.729929817706707*^9, 3.729929823860068*^9}, {
   3.7299299059863925`*^9, 3.7299299517631016`*^9}, {3.729930063242821*^9, 
   3.7299301122882223`*^9}, {3.7299302117316165`*^9, 
   3.7299302251342444`*^9}, {3.729930276554825*^9, 3.7299302793893585`*^9}, {
   3.7299303393126836`*^9, 3.7299304010809183`*^9}, {3.7299304346531496`*^9, 
   3.7299304372941723`*^9}, {3.729930558997752*^9, 3.7299305604907484`*^9}, {
   3.72993078188037*^9, 3.72993083588192*^9}, {3.7299308735230246`*^9, 
   3.729930948606628*^9}, {3.7299310606595497`*^9, 3.729931124386985*^9}, 
   3.729931166585207*^9, {3.7299312174111843`*^9, 3.7299312188710938`*^9}, {
   3.729931257327338*^9, 3.729931280970199*^9}, {3.729931336616149*^9, 
   3.72993135607987*^9}, {3.729931456304343*^9, 3.7299314644620323`*^9}, {
   3.7299317676982636`*^9, 3.729931768981676*^9}, {3.7299320007041225`*^9, 
   3.72993204698818*^9}, {3.7299324354392204`*^9, 3.7299326447767973`*^9}, {
   3.7299328222494*^9, 3.7299328780568085`*^9}, 3.7299332729949517`*^9, {
   3.7299333836202793`*^9, 3.7299335786277566`*^9}, {3.7299336713532915`*^9, 
   3.729933736259862*^9}, {3.7299338019909067`*^9, 3.7299338037726727`*^9}, {
   3.7299338345314493`*^9, 3.7299338519367304`*^9}, {3.7299339107124977`*^9, 
   3.7299339129725366`*^9}, 3.729933958277989*^9, {3.7299340209506197`*^9, 
   3.729934110471607*^9}, {3.7299342018706408`*^9, 3.729934292371234*^9}, {
   3.7299344369339104`*^9, 3.72993445161191*^9}, {3.729934506085743*^9, 
   3.7299345473143597`*^9}, {3.729934612930845*^9, 3.729934636540591*^9}, {
   3.729934744539734*^9, 3.7299347859598627`*^9}, {3.729934830936472*^9, 
   3.7299348986184254`*^9}, {3.7299349386478233`*^9, 
   3.7299349847895317`*^9}, {3.7299351372789636`*^9, 3.729935144155218*^9}, {
   3.729935193157532*^9, 3.7299352054862947`*^9}, {3.7299352499304757`*^9, 
   3.7299353037555833`*^9}, {3.7299353629549522`*^9, 3.729935365300214*^9}, {
   3.7299353991020594`*^9, 3.7299354022634935`*^9}, {3.729935443316032*^9, 
   3.729935476498228*^9}, {3.7299355471921864`*^9, 3.729935556914034*^9}, {
   3.7299355882212987`*^9, 3.7299358301339917`*^9}, 3.7299358925950317`*^9, 
   3.7299359302989564`*^9, {3.7299359758721514`*^9, 3.7299360781580772`*^9}, {
   3.729936128240234*^9, 3.729936135345153*^9}, {3.7299363023427963`*^9, 
   3.7299363424233675`*^9}, 3.7299364230186443`*^9, {3.729936487779856*^9, 
   3.729936488580986*^9}, {3.7299365441657443`*^9, 3.729936547296067*^9}, {
   3.7299366435388002`*^9, 3.729936667999864*^9}, 3.7299371077460127`*^9, 
   3.729937141126766*^9, 3.7299371857082963`*^9, {3.729937894925065*^9, 
   3.729937922837278*^9}, 3.729937953109764*^9, {3.729938007823205*^9, 
   3.729938020829815*^9}, {3.7299380526133184`*^9, 3.7299380598916435`*^9}, 
   3.7299380993405285`*^9, 3.7299384054309464`*^9, 3.7299384740252943`*^9, 
   3.72993866773155*^9, {3.729938739906446*^9, 3.7299387429545507`*^9}, {
   3.7299409603784013`*^9, 3.7299409760289817`*^9}, {3.729941228027403*^9, 
   3.7299413137102127`*^9}, {3.7299414341083474`*^9, 3.729941453346472*^9}, 
   3.7299416523877325`*^9, {3.7299417521188946`*^9, 3.7299417918214264`*^9}, {
   3.7299420076255226`*^9, 3.7299420121966825`*^9}, {3.7299420545071883`*^9, 
   3.7299420802445984`*^9}, {3.7299421591503887`*^9, 3.729942162902365*^9}, {
   3.7299421990946174`*^9, 3.729942232304889*^9}, {3.7299423096806135`*^9, 
   3.7299423132450895`*^9}, {3.729942390933671*^9, 3.7299423911512227`*^9}, 
   3.7299424781185603`*^9, 3.72994312942468*^9, {3.729943210519328*^9, 
   3.7299432286789722`*^9}, {3.729943385104375*^9, 3.7299433868379517`*^9}, {
   3.7299435975157857`*^9, 3.729943603282117*^9}, {3.729943677955455*^9, 
   3.7299436985101385`*^9}, {3.729952689741935*^9, 3.729952702087788*^9}, {
   3.729958785854088*^9, 3.729958786992691*^9}, {3.729958870751807*^9, 
   3.7299588971660233`*^9}, {3.7299590952193575`*^9, 3.729959100657831*^9}, 
   3.729961469386286*^9, {3.7299621333845654`*^9, 3.7299621335736856`*^9}, 
   3.729962248418306*^9, {3.729965639271676*^9, 3.729965642211252*^9}, {
   3.729966114433053*^9, 3.7299661169061832`*^9}, {3.7299661641750884`*^9, 
   3.7299663875442944`*^9}, {3.729966482212372*^9, 3.7299665384445157`*^9}, {
   3.7299678131014667`*^9, 3.729967863517296*^9}, {3.7299693919393897`*^9, 
   3.7299693931444445`*^9}, {3.729975085170754*^9, 3.7299750868250566`*^9}, {
   3.7299753088811207`*^9, 3.729975344548808*^9}, 3.7300938030003505`*^9, {
   3.7301013785351295`*^9, 3.7301013796019692`*^9}, {3.730101523169158*^9, 
   3.730101525498314*^9}, 3.730104062455353*^9, {3.730105113838559*^9, 
   3.730105114324853*^9}, {3.7301051754689803`*^9, 3.730105196677151*^9}, {
   3.7301062262167144`*^9, 3.7301062599199452`*^9}, {3.7301063209948473`*^9, 
   3.730106371318656*^9}, {3.730106434535358*^9, 3.7301064381098824`*^9}, {
   3.7301067829552746`*^9, 3.7301068007024603`*^9}, {3.730106994580603*^9, 
   3.730107077756506*^9}, {3.730107141193515*^9, 3.7301072227268376`*^9}, {
   3.7301073530037556`*^9, 3.7301074202377777`*^9}, 3.7301074657447023`*^9, {
   3.730107499274325*^9, 3.730107499858901*^9}, {3.730107829664833*^9, 
   3.7301078821831026`*^9}, {3.73010791235303*^9, 3.730107937741277*^9}, {
   3.7301080078011775`*^9, 3.7301080622683*^9}, {3.730108184577509*^9, 
   3.7301082463224072`*^9}, {3.7301084105572176`*^9, 3.730108411256076*^9}, {
   3.7301084828828897`*^9, 3.7301084835667076`*^9}, 3.7301085573166485`*^9, {
   3.730109051899516*^9, 3.730109075684436*^9}, {3.7301100257263203`*^9, 
   3.7301100288606825`*^9}, {3.730110151811551*^9, 3.730110152113353*^9}, {
   3.730110329791643*^9, 3.730110336029228*^9}, {3.7301104084427834`*^9, 
   3.7301104100159674`*^9}, {3.7301105074567113`*^9, 3.730110515813959*^9}, 
   3.730110611499335*^9, {3.730110716288945*^9, 3.7301107166649733`*^9}, 
   3.7301107843619347`*^9, 3.730111577292194*^9, {3.7301116662617426`*^9, 
   3.73011167249331*^9}, {3.730112281886674*^9, 3.730112285427087*^9}, {
   3.730112818460292*^9, 3.7301128188954773`*^9}, 3.7301128568684106`*^9, {
   3.7301129281487455`*^9, 3.7301129372449512`*^9}, {3.730112980178086*^9, 
   3.730113009903139*^9}, {3.7301130539702744`*^9, 3.730113054823574*^9}, {
   3.7301143372283964`*^9, 3.7301143701078153`*^9}, {3.730114437829871*^9, 
   3.7301144409331217`*^9}, {3.730121542600752*^9, 3.730121552899104*^9}, {
   3.7301216387564545`*^9, 3.7301216391183844`*^9}, {3.730121712767753*^9, 
   3.730121712911296*^9}, {3.7301217756195126`*^9, 3.730121777725931*^9}, {
   3.730121832519147*^9, 3.730121832689607*^9}, {3.730121885780733*^9, 
   3.7301218988183966`*^9}, {3.730121988056665*^9, 3.7301219882541904`*^9}, {
   3.7301220931272497`*^9, 3.7301220964009857`*^9}, {3.730122198683993*^9, 
   3.7301222037975893`*^9}, {3.730180721243804*^9, 3.7301807423338137`*^9}, {
   3.7301809916481457`*^9, 3.7301810080909195`*^9}, {3.7301811510081263`*^9, 
   3.7301811998640375`*^9}, 3.7301812377681155`*^9, {3.730181485070783*^9, 
   3.730181527402742*^9}, {3.730181565203728*^9, 3.7301815700441065`*^9}, {
   3.730181623941775*^9, 3.7301816550746803`*^9}, {3.730181688870844*^9, 
   3.730181727106571*^9}, {3.7301817691209345`*^9, 3.73018181970531*^9}, {
   3.7301818559756384`*^9, 3.730181856582285*^9}, {3.7301820064734964`*^9, 
   3.730182016796425*^9}, {3.7301821682670956`*^9, 3.7301821753222237`*^9}, {
   3.730182282852722*^9, 3.7301822936967263`*^9}, {3.7301824938812885`*^9, 
   3.7301825039940567`*^9}, {3.7301841301535387`*^9, 3.730184176241678*^9}, {
   3.730184690573728*^9, 3.7301847992752886`*^9}, 3.7301849175687857`*^9, 
   3.730185238488505*^9, {3.730185732564605*^9, 3.7301857326992702`*^9}, {
   3.7301862490640073`*^9, 3.73018625606539*^9}, {3.730186351996414*^9, 
   3.73018635500809*^9}, {3.7301864656735973`*^9, 3.7301864659217396`*^9}, {
   3.730193976884357*^9, 3.7301939959956155`*^9}, 3.7301941796388435`*^9, {
   3.7301942703907824`*^9, 3.7301942735480537`*^9}, 3.73019436333926*^9, {
   3.730194482053831*^9, 3.730194482243668*^9}, {3.7301946137817173`*^9, 
   3.730194618864565*^9}, {3.730194737735304*^9, 3.730194739669121*^9}, {
   3.730257865603895*^9, 3.7302578726923137`*^9}, {3.730258036404973*^9, 
   3.730258069453887*^9}, 3.730258467816771*^9, {3.7302585528369317`*^9, 
   3.730258558101875*^9}, 3.7302668276630697`*^9, {3.7302668869718885`*^9, 
   3.730266908092433*^9}, {3.730266963689334*^9, 3.7302669684622335`*^9}, 
   3.7302670322016535`*^9, 3.7302670907590876`*^9, {3.730267821930765*^9, 
   3.7302678416908083`*^9}, 3.7302776669195285`*^9, {3.7302777716543226`*^9, 
   3.730277771772896*^9}, {3.7302801885549607`*^9, 3.730280188843286*^9}, {
   3.730280454311702*^9, 3.730280463461379*^9}, 3.7302808552728176`*^9, {
   3.7302826542528396`*^9, 3.7302826574290137`*^9}, {3.7302828941489787`*^9, 
   3.7302830009127026`*^9}, {3.730283051613809*^9, 3.730283662358791*^9}, {
   3.7302838280426474`*^9, 3.730283898133317*^9}, 3.730283936201934*^9, {
   3.730283971498637*^9, 3.7302840146518755`*^9}, {3.730284311110402*^9, 
   3.7302843478467145`*^9}, {3.7302847828029776`*^9, 
   3.7302847995741105`*^9}, {3.73028483560611*^9, 3.7302848373239937`*^9}, 
   3.7302850974244375`*^9, {3.730285677025796*^9, 3.7302859171310267`*^9}, {
   3.730292916015504*^9, 3.7302929230086794`*^9}, {3.730295120239789*^9, 
   3.730295120431225*^9}, 3.7302955197818284`*^9, {3.7302956262055454`*^9, 
   3.730295626663246*^9}, {3.730295799918638*^9, 3.730295812253825*^9}, 
   3.730296115733444*^9, {3.730296624099289*^9, 3.7302966309444013`*^9}, {
   3.730296734377611*^9, 3.7302967736048512`*^9}, {3.730296823804167*^9, 
   3.7302968705703773`*^9}, {3.730296973970723*^9, 3.7302970169160943`*^9}, 
   3.730297086917553*^9, 3.7302971849802985`*^9, {3.7302975385536265`*^9, 
   3.7302975443077145`*^9}, {3.730297647380866*^9, 3.7302976636981564`*^9}, {
   3.730297732312912*^9, 3.730297740553358*^9}, {3.73029781026937*^9, 
   3.730297812444491*^9}, 3.730297913472847*^9, {3.7303430580686007`*^9, 
   3.7303430603279824`*^9}, {3.7303546484368286`*^9, 
   3.7303546732362967`*^9}, {3.730354731162524*^9, 3.7303547388680687`*^9}, {
   3.7303572562130775`*^9, 3.7303572726700444`*^9}, {3.7303573627514763`*^9, 
   3.73035736525548*^9}, {3.730359945155453*^9, 3.730359945321064*^9}, {
   3.7303736607297506`*^9, 3.730373662106265*^9}, {3.730389591639097*^9, 
   3.7303896042605715`*^9}, {3.7303900605430856`*^9, 
   3.7303900864200864`*^9}, {3.7304365251324034`*^9, 3.730436534889574*^9}, 
   3.7304368083884583`*^9, {3.7304481506244774`*^9, 3.7304481529336305`*^9}, {
   3.7304482303226347`*^9, 3.730448271808268*^9}, 3.730449853507593*^9, 
   3.7304499318762236`*^9, 3.730450085494133*^9, 3.7304501766177893`*^9, 
   3.7304504378512554`*^9, 3.7304505867619133`*^9, 3.7304507298844852`*^9, {
   3.730454130694406*^9, 3.730454135681033*^9}, 3.7304542419464045`*^9, 
   3.73045501768859*^9, {3.730467780872783*^9, 3.7304677822854304`*^9}, {
   3.730481104493702*^9, 3.7304811049639263`*^9}, {3.7304812940761366`*^9, 
   3.7304813018199434`*^9}, 3.73048333630022*^9, {3.7304835164608107`*^9, 
   3.7304835166327105`*^9}, 3.730484427345448*^9, {3.73048457720751*^9, 
   3.7304845828942327`*^9}, {3.730529737629136*^9, 3.7305297461891065`*^9}, {
   3.730613583894915*^9, 3.730613587925341*^9}, {3.7306137640368204`*^9, 
   3.730613764550764*^9}, 3.7306138920794826`*^9, {3.7306140319758043`*^9, 
   3.730614032085919*^9}, 3.7306251259895887`*^9, {3.730627409857462*^9, 
   3.730627449013036*^9}, {3.730627945782111*^9, 3.7306279459976807`*^9}, {
   3.7306281168165407`*^9, 3.7306281237339087`*^9}, {3.730643304099779*^9, 
   3.73064332041579*^9}, {3.7306436315457387`*^9, 3.7306436316872997`*^9}, 
   3.7306624982941065`*^9, 3.730663430805115*^9, {3.730713478656804*^9, 
   3.7307135603978043`*^9}, {3.7307136130859537`*^9, 
   3.7307136217553453`*^9}, {3.730713653065447*^9, 3.730713685393338*^9}, {
   3.7307137799864764`*^9, 3.730713783500862*^9}, {3.7307142180886116`*^9, 
   3.7307142619901466`*^9}, {3.7307143091888237`*^9, 3.73071431952242*^9}, 
   3.730828345838632*^9, 3.7308285704597054`*^9, {3.730828665433017*^9, 
   3.730828669620636*^9}, {3.730830016877338*^9, 3.73083001724288*^9}, 
   3.7308937336566057`*^9, 3.730894030973302*^9, 3.7308943369680076`*^9, 
   3.7308958580305204`*^9, 3.730896851017663*^9, 3.730897031987382*^9, 
   3.7308971880257764`*^9, {3.7326890059746547`*^9, 3.732689112099375*^9}, {
   3.732689413668296*^9, 3.7326895171266365`*^9}, {3.7327048110874567`*^9, 
   3.7327048381088195`*^9}, {3.732704914964746*^9, 3.732704929395095*^9}, {
   3.732705004856643*^9, 3.7327050995289955`*^9}, {3.732716637797591*^9, 
   3.7327166645969086`*^9}, {3.732716779767412*^9, 3.7327167930616035`*^9}, 
   3.732725053247648*^9, 
   3.7327253892920694`*^9},ExpressionUUID->"eace2cbb-d074-44b4-a6ad-\
557ae383464b"],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"Interpolation", " ", 
    RowBox[{"func", ".", " ", "M"}], 
    RowBox[{
     RowBox[{"(", "H", ")"}], "/", "Ms"}]}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Options", "[", "sampandinter", "]"}], "=", 
     "\[IndentingNewLine]", 
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"replacefrom", "->", "0.05"}], 
       RowBox[{"(*", "T", "*)"}], ",", "\[IndentingNewLine]", 
       RowBox[{"forwsweep", "\[Rule]", "True"}]}], "\[IndentingNewLine]", 
      "\[IndentingNewLine]", "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sampandinter", "[", 
     RowBox[{"J1_", ",", "J2_", ",", "dH_", ",", 
      RowBox[{"opts", ":", 
       RowBox[{"OptionsPattern", "[", "]"}]}]}], "]"}], ":=", 
    RowBox[{"Module", "[", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{"{", "\[IndentingNewLine]", 
       RowBox[{
        RowBox[{"divpoint", "=", 
         RowBox[{"OptionValue", "[", "replacefrom", "]"}]}], ",", 
        "\[IndentingNewLine]", 
        RowBox[{"forwsweepflag", "=", 
         RowBox[{"OptionValue", "[", "forwsweep", "]"}]}], ",", 
        "\[IndentingNewLine]", "fixeddata", ",", "interpolation", ",", "data",
         ",", "fixeddata1", ",", "fixeddata2"}], "\[IndentingNewLine]", 
       "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"If", "[", 
        RowBox[{"forwsweepflag", ",", "\[IndentingNewLine]", 
         RowBox[{"data", "=", 
          RowBox[{"MHloop", "[", 
           RowBox[{"J1", ",", "J2", ",", 
            RowBox[{"FieldAngle", "->", 
             RowBox[{"N", "[", 
              RowBox[{"0.0", ",", "15"}], "]"}]}], ",", 
            RowBox[{"StartingField", "\[Rule]", "0.7`15"}], ",", " ", 
            RowBox[{"FieldStep", "\[Rule]", "dH"}]}], "]"}]}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{"data", "=", 
          RowBox[{"MHloop", "[", 
           RowBox[{"J1", ",", "J2", ",", 
            RowBox[{"FieldAngle", "->", 
             RowBox[{"N", "[", 
              RowBox[{
               RowBox[{"2.", "*", 
                RowBox[{"Pi", "/", "2"}]}], ",", "15"}], "]"}]}], ",", 
            RowBox[{"StartingField", "\[Rule]", 
             RowBox[{"-", "0.7`15"}]}], ",", " ", 
            RowBox[{"FieldStep", "\[Rule]", "dH"}]}], "]"}]}]}], 
        "\[IndentingNewLine]", "\[IndentingNewLine]", "]"}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"fixeddata1", "=", 
        RowBox[{"Join", "[", 
         RowBox[{
          RowBox[{"Select", "[", 
           RowBox[{"data", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"First", "[", "#", "]"}], "<", "divpoint"}], "&"}]}], 
           "]"}], ",", 
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{"data", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"First", "[", "#", "]"}], "<", 
               RowBox[{"-", "divpoint"}]}], "&"}]}], "]"}], "*", 
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}]}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"fixeddata2", "=", 
        RowBox[{"Join", "[", 
         RowBox[{
          RowBox[{"Select", "[", 
           RowBox[{"data", ",", 
            RowBox[{
             RowBox[{
              RowBox[{"First", "[", "#", "]"}], ">", 
              RowBox[{"-", "divpoint"}]}], "&"}]}], "]"}], ",", 
          RowBox[{
           RowBox[{"Select", "[", 
            RowBox[{"data", ",", 
             RowBox[{
              RowBox[{
               RowBox[{"First", "[", "#", "]"}], ">", "divpoint"}], "&"}]}], 
            "]"}], "*", 
           RowBox[{"(", 
            RowBox[{"-", "1"}], ")"}]}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", "\[IndentingNewLine]", 
       RowBox[{"interpolation", "=", 
        RowBox[{"If", "[", 
         RowBox[{"forwsweepflag", ",", 
          RowBox[{"Interpolation", "[", "fixeddata1", "]"}], ",", 
          RowBox[{"Interpolation", "[", "fixeddata2", "]"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"Function", "[", 
         RowBox[{"\[Tau]", ",", 
          RowBox[{"Evaluate", "[", 
           RowBox[{"interpolation", "[", "\[Tau]", "]"}], "]"}]}], "]"}], 
        "]"}]}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"testfunc1sweep", "=", 
     RowBox[{"sampandinter", "[", 
      RowBox[{
       RowBox[{"-", "0.000064`14.301029995663981"}], ",", 
       RowBox[{"-", "0.000004`15"}], ",", "0.001`15", ",", 
       RowBox[{"forwsweep", "\[Rule]", "True"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"testfunc2sweep", "=", 
     RowBox[{"sampandinter", "[", 
      RowBox[{
       RowBox[{"-", "0.000064`14.301029995663981"}], ",", 
       RowBox[{"-", "0.000004`15"}], ",", "0.001`15", ",", 
       RowBox[{"forwsweep", "\[Rule]", "False"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{
  3.730292944072968*^9, {3.7302936302478266`*^9, 3.7302936676410365`*^9}, {
   3.7302937149501953`*^9, 3.7302938354477296`*^9}, {3.7302938739075766`*^9, 
   3.7302938764023*^9}, {3.7302940814454565`*^9, 3.7302944277392673`*^9}, {
   3.730294467311283*^9, 3.730294472527598*^9}, {3.7302945207571335`*^9, 
   3.730294550801841*^9}, {3.7302945817949142`*^9, 3.730294692985523*^9}, {
   3.730294736207054*^9, 3.7302948727350817`*^9}, {3.730294916365917*^9, 
   3.730294964233961*^9}, 3.7302958704892893`*^9, {3.73029793871601*^9, 
   3.7302979536776876`*^9}, {3.730298069173976*^9, 3.7302980857934604`*^9}, {
   3.7302982062146673`*^9, 3.7302982826161795`*^9}, {3.730298510447234*^9, 
   3.730298520535123*^9}, {3.730298641109118*^9, 3.7302986472216444`*^9}, {
   3.7302987402701273`*^9, 3.7302987413212795`*^9}, {3.730298968525488*^9, 
   3.730298982155009*^9}, {3.7302992085102615`*^9, 3.7302992176204634`*^9}, {
   3.730299560656853*^9, 3.730299596973381*^9}, {3.7302997474741035`*^9, 
   3.7302997492391624`*^9}, {3.7303007687461233`*^9, 
   3.7303008331663165`*^9}, {3.7303016652147994`*^9, 
   3.7303016655799837`*^9}, {3.730301730710474*^9, 3.7303018687009463`*^9}, {
   3.7303019085255814`*^9, 3.7303019139068413`*^9}, 3.7303627465267386`*^9, {
   3.730362799273939*^9, 3.7303627994951963`*^9}, 3.7303650881182575`*^9, {
   3.7303691298622265`*^9, 3.7303691392389383`*^9}, {3.730377321376213*^9, 
   3.730377322207563*^9}, {3.730380776338705*^9, 3.730380818362465*^9}, {
   3.7303891201135826`*^9, 3.7303891510066285`*^9}, {3.7303977869959*^9, 
   3.730397800105053*^9}, {3.7303984327771864`*^9, 3.7303984328773355`*^9}, {
   3.730430306305214*^9, 3.730430318944173*^9}, {3.730430437751552*^9, 
   3.7304304416840796`*^9}, {3.7304441950237455`*^9, 
   3.7304442047679024`*^9}, {3.7304480863121214`*^9, 3.730448107288746*^9}, {
   3.7304483412551394`*^9, 3.7304483446372566`*^9}, 3.730448649229267*^9, {
   3.730449591600456*^9, 3.730449614404512*^9}, {3.7304500949903*^9, 
   3.7304501087866087`*^9}, {3.730461696648538*^9, 3.730461702936936*^9}, {
   3.7304657523556013`*^9, 3.730465761949442*^9}, {3.730466055075226*^9, 
   3.7304660566617513`*^9}, {3.7304661848023014`*^9, 
   3.7304662173819675`*^9}, {3.7304662766053405`*^9, 3.730466279345849*^9}, {
   3.730466343415315*^9, 3.730466356803155*^9}, {3.730466416227662*^9, 
   3.730466416268268*^9}, {3.730466486574288*^9, 3.7304664940251427`*^9}, {
   3.7304665763734446`*^9, 3.7304665792617755`*^9}, {3.7304668478528214`*^9, 
   3.730466849387273*^9}, 3.730467235996406*^9, {3.7304675161391215`*^9, 
   3.7304675184439125`*^9}, {3.730479838160494*^9, 3.7304798532168283`*^9}, {
   3.7304814001823673`*^9, 3.730481413059972*^9}, {3.7304831557389526`*^9, 
   3.73048315732308*^9}, {3.7304833531225557`*^9, 3.7304833578148203`*^9}, {
   3.730483526910192*^9, 3.730483528864724*^9}, 3.730487773314607*^9, {
   3.73052991442971*^9, 3.730529926318997*^9}, {3.7305308894840384`*^9, 
   3.7305308933270264`*^9}, {3.730531065687752*^9, 3.730531065817884*^9}, {
   3.7305312014813185`*^9, 3.730531204163022*^9}, {3.730573202979455*^9, 
   3.7305732218635225`*^9}, {3.730573449070639*^9, 3.730573451381706*^9}, {
   3.730573617299161*^9, 3.730573620343877*^9}, {3.730574011045047*^9, 
   3.730574019558584*^9}, {3.7305743058101597`*^9, 3.730574307939723*^9}, {
   3.730574506354356*^9, 3.730574516129058*^9}, {3.730574637457715*^9, 
   3.7305746384182835`*^9}, {3.730574751492455*^9, 3.7305747526590924`*^9}, {
   3.7305749203327665`*^9, 3.730574921543863*^9}, {3.730575050874366*^9, 
   3.730575060409436*^9}, {3.730575377134274*^9, 3.7305753851561737`*^9}, {
   3.7305755939020615`*^9, 3.7305755958084393`*^9}, {3.730615592474039*^9, 
   3.7306155953569036`*^9}, {3.730615719218609*^9, 3.7306157210206127`*^9}, {
   3.7306237692685504`*^9, 3.73062377844656*^9}, {3.730624828219952*^9, 
   3.7306248303307104`*^9}, {3.7306253849973164`*^9, 3.730625386548931*^9}, {
   3.73062548933421*^9, 3.730625490975499*^9}, {3.7306256042980576`*^9, 
   3.730625605948266*^9}, {3.730625708087364*^9, 3.7306257100989957`*^9}, {
   3.7306258357336116`*^9, 3.7306258376750917`*^9}, {3.730625937694233*^9, 
   3.7306259389656696`*^9}, {3.7306323797449465`*^9, 
   3.7306324013090973`*^9}, {3.730634310876813*^9, 3.7306343168059454`*^9}, {
   3.7306348039616585`*^9, 3.730634808644923*^9}, {3.7306370730988483`*^9, 
   3.7306370942222967`*^9}, 3.730643431399057*^9, {3.730643950014787*^9, 
   3.730643951755003*^9}, {3.7306440148093576`*^9, 3.7306440394603148`*^9}, {
   3.7306441607452474`*^9, 3.730644166829214*^9}, {3.7306442719636745`*^9, 
   3.7306442720435057`*^9}, {3.730644372342134*^9, 3.7306443739313354`*^9}, 
   3.730644582083449*^9, {3.7306447354805193`*^9, 3.730644743867338*^9}, 
   3.730651003642906*^9, 3.730651085509765*^9, 3.730651160983385*^9, 
   3.7306591613204026`*^9, 3.730659290647231*^9, {3.730659441837926*^9, 
   3.730659447977293*^9}, {3.7306614303319902`*^9, 3.7306614351611786`*^9}, 
   3.7306617505312757`*^9, {3.730662165859848*^9, 3.730662170419278*^9}, {
   3.7306623184874163`*^9, 3.73066232000288*^9}, {3.7306627188139668`*^9, 
   3.7306627226337824`*^9}, {3.7306630276698103`*^9, 
   3.7306630295528946`*^9}, {3.7306637482315903`*^9, 
   3.7306637500187416`*^9}, {3.730717162171452*^9, 3.7307171681896*^9}, {
   3.7307206756256957`*^9, 3.730720680768587*^9}, {3.730720784597643*^9, 
   3.7307207883409142`*^9}, {3.7307209044034624`*^9, 3.730720907906601*^9}, {
   3.730721043763726*^9, 3.7307210450941544`*^9}, {3.7307214828288264`*^9, 
   3.730721488884654*^9}, {3.730721589978015*^9, 3.730721593631912*^9}, {
   3.730721730833575*^9, 3.7307217353920913`*^9}, {3.7307557071923585`*^9, 
   3.7307557146211333`*^9}, {3.730755943424675*^9, 3.7307559464752216`*^9}, {
   3.7307560522586074`*^9, 3.730756062539157*^9}, {3.7307744944343967`*^9, 
   3.7307745004300146`*^9}, 3.730783693130538*^9, {3.7307837910895324`*^9, 
   3.730783795930955*^9}, {3.7307838907121434`*^9, 3.730783892883292*^9}, {
   3.7307839648432956`*^9, 3.7307839660068116`*^9}, {3.730784044062105*^9, 
   3.7307840442823668`*^9}, 3.7307841275300026`*^9, 3.730784183151896*^9, {
   3.730784288001421*^9, 3.7307842912014093`*^9}, {3.7307962314383183`*^9, 
   3.730796240229163*^9}, 3.7307963408675194`*^9, {3.7307965257578044`*^9, 
   3.7307965258378215`*^9}, {3.730796677321884*^9, 3.730796680173564*^9}, {
   3.730807931935712*^9, 3.7308079350173345`*^9}, 3.730807991583763*^9, {
   3.7308295582266397`*^9, 3.730829567493849*^9}, 3.7308296435527625`*^9, {
   3.7308297135950375`*^9, 3.7308297160623875`*^9}, {3.7308298077452087`*^9, 
   3.730829822016343*^9}, {3.7308299232974358`*^9, 3.73082992399512*^9}, 
   3.730829989698415*^9, {3.7308302207759275`*^9, 3.7308302227441587`*^9}, 
   3.7308302865728436`*^9, 3.7308304126343513`*^9, {3.730870394991108*^9, 
   3.7308703967337694`*^9}, {3.730870575261153*^9, 3.7308705823906784`*^9}, 
   3.7308707637347946`*^9, {3.7308956999391327`*^9, 3.730895703164708*^9}, {
   3.730896672739523*^9, 3.7308966784871807`*^9}, {3.7327129511830997`*^9, 
   3.7327129617236857`*^9}, {3.732716688676443*^9, 3.73271675018522*^9}, {
   3.7327255144235973`*^9, 
   3.732725532507756*^9}},ExpressionUUID->"6c5ef36d-9f9e-4f41-921e-\
c238b177f2cf"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"MaxPlottingField", "=", "0.7"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{"Show", "[", 
    RowBox[{
     RowBox[{"ListPlot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"ForwSweep", ",", "BackSweep"}], "}"}], ",", 
       RowBox[{"PlotRange", "\[Rule]", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "MaxPlottingField"}], ",", "MaxPlottingField"}], 
           "}"}], ",", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"-", "1.1"}], ",", "1.1"}], "}"}]}], "}"}]}]}], "]"}], 
     ",", 
     RowBox[{"Plot", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"testtest1", "[", "x", "]"}], ",", 
         RowBox[{"testtest2", "[", "x", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", 
         RowBox[{"-", "MaxPlottingField"}], ",", "MaxPlottingField"}], 
        "}"}]}], "]"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7302980604690313`*^9, 3.730298119012479*^9}, {
   3.7302985434550886`*^9, 3.730298574206402*^9}, {3.7302996015005293`*^9, 
   3.7302996163639255`*^9}, {3.7303014316099453`*^9, 
   3.7303014366684875`*^9}, {3.7303014951811075`*^9, 3.730301514034203*^9}, 
   3.730362667106902*^9, {3.730389777341152*^9, 3.7303898181840677`*^9}, {
   3.730450365936552*^9, 3.730450383645505*^9}, 3.730450565546903*^9, {
   3.730461673295096*^9, 3.7304616798295665`*^9}, {3.7304661988083515`*^9, 
   3.7304662097547398`*^9}, {3.7304671104112663`*^9, 3.730467133882019*^9}, {
   3.7304672406512117`*^9, 3.730467243872158*^9}, 3.7304877417484655`*^9, {
   3.730575905142318*^9, 3.730575906645007*^9}, {3.7306249890942125`*^9, 
   3.730625107023736*^9}, {3.730625261350662*^9, 3.7306252937907443`*^9}, {
   3.7306253576753516`*^9, 3.7306253609174848`*^9}, {3.7306278225465727`*^9, 
   3.7306278237836847`*^9}, 3.7306282809528093`*^9, {3.7306435931038074`*^9, 
   3.730643598047916*^9}, {3.7306440414722834`*^9, 3.730644043293532*^9}, 
   3.7306440737507577`*^9, {3.7306592657031083`*^9, 3.7306592688359375`*^9}, 
   3.730783706504242*^9, {3.7308282502349234`*^9, 3.7308282522934484`*^9}, {
   3.7308294586826987`*^9, 3.730829463042488*^9}, {3.730870585986985*^9, 
   3.730870589032194*^9}, {3.730894229516322*^9, 3.73089424723246*^9}, {
   3.730896065813454*^9, 3.7308960972410126`*^9}, {3.7308968368875895`*^9, 
   3.7308968387974815`*^9}, {3.730897350764021*^9, 
   3.7308973512055054`*^9}},ExpressionUUID->"8f628a1e-6193-475a-a02c-\
757a702d0c0e"],

Cell[BoxData[
 GraphicsBox[{{{}, {{}, 
     {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668],
       AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJwtVAlU02cSzwIK4aYsq1y6oChYQE2lyDkWhPIUV0HkybGCaJAqFrlBylVB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       "]]}, 
     {RGBColor[0.880722, 0.611041, 0.142051], PointSize[0.009166666666666668],
       AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJw9VHdU1GcWpUkXMAZDCcJIBGLiLgN2kEcEC6IgSCSBrBAWUINCpIiQpQhI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       "]]}, {}}, {}, {}, {}, {}}, {{{}, {}, 
     TagBox[
      {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJxF1wk0VP0bB3AUUlGWVsq+i1ZZXh5LlErZt5BsbZQkSwovKtlbabWNrWwp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        "]]},
      Annotation[#, "Charting`Private`Tag$84842395#1"]& ], 
     TagBox[
      {RGBColor[0.880722, 0.611041, 0.142051], AbsoluteThickness[1.6], 
       Opacity[1.], LineBox[CompressedData["
1:eJxF13k01OsfB/BJC9KNSAtlyRaJ9ixXHxSlKMk2JXVtRUhSlhS/qCZbWrmE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        "]]},
      Annotation[#, "Charting`Private`Tag$84842395#2"]& ]}, {}, {}}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImagePadding->All,
  ImageSize->{1331.8181818181806`, Automatic},
  Method->{"CoordinatesToolOptions" -> {"DisplayFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& ), "CopiedValueFunction" -> ({
        (Identity[#]& )[
         Part[#, 1]], 
        (Identity[#]& )[
         Part[#, 2]]}& )}},
  PlotRange->{{-0.7, 0.7}, {-1.1, 1.1}},
  PlotRangeClipping->True,
  PlotRangePadding->{{0, 0}, {0, 0}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.7308960691764283`*^9, 3.730896098000057*^9}, 
   3.730896785248497*^9, 3.7308968403049545`*^9, 3.7308969618428507`*^9, 
   3.7308971438591347`*^9, 3.7308973073258514`*^9, 
   3.730897353395314*^9},ExpressionUUID->"eac5b042-61f3-4832-af0e-\
33b4a358fe00"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
    "Minimization", " ", "of", " ", "the", " ", "squared", " ", "error", " ", 
     "using", " ", "different", " ", "J1"}], ",", "J2"}], "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{
     RowBox[{"Options", "[", "Chi2test", "]"}], "=", 
     RowBox[{"{", 
      RowBox[{"fieldstep", "\[Rule]", "0.001`15"}], "}"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Chi2test", "[", 
     RowBox[{"fsweep_", ",", "bsweep_", ",", "J1_", ",", "J2_", ",", 
      RowBox[{"OptionsPattern", "[", "]"}]}], "]"}], ":=", 
    RowBox[{"Module", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"dH", "=", 
         RowBox[{"OptionValue", "[", "fieldstep", "]"}]}], ",", "i", ",", 
        "FuncForthisJsforw", ",", "FuncForthisJsback", ",", "Errorlistfsweep",
         ",", "Errorlistbsweep", ",", "Chi2error", ",", "Errorlistwithpar", 
        ",", "Errorlist"}], "}"}], ",", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"FuncForthisJsforw", "=", 
        RowBox[{"sampandinter", "[", 
         RowBox[{"J1", ",", "J2", ",", "dH", ",", 
          RowBox[{"forwsweep", "\[Rule]", "True"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"FuncForthisJsback", "=", 
        RowBox[{"sampandinter", "[", 
         RowBox[{"J1", ",", "J2", ",", "dH", ",", 
          RowBox[{"forwsweep", "\[Rule]", "False"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Errorlistfsweep", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"FuncForthisJsforw", "[", 
              RowBox[{"fsweep", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "1"}], "]"}], "]"}], "]"}], "-", 
             RowBox[{"fsweep", "[", 
              RowBox[{"[", 
               RowBox[{"i", ",", "2"}], "]"}], "]"}]}], ")"}], "2"], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{"Length", "[", "fsweep", "]"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Errorlistwithpar", "=", 
          RowBox[{"Table", "[", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"i", ",", 
              RowBox[{"Sqrt", "[", 
               SuperscriptBox[
                RowBox[{"(", 
                 RowBox[{
                  RowBox[{
                   RowBox[{"testintfunc", "[", 
                    RowBox[{"a", ",", "b"}], "]"}], "[", 
                   RowBox[{"data", "[", 
                    RowBox[{"[", 
                    RowBox[{"i", ",", "1"}], "]"}], "]"}], "]"}], "-", 
                  RowBox[{"data", "[", 
                   RowBox[{"[", 
                    RowBox[{"i", ",", "2"}], "]"}], "]"}]}], ")"}], "2"], 
               "]"}]}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"i", ",", "1", ",", 
              RowBox[{"Length", "[", "data", "]"}]}], "}"}]}], "]"}]}], ";"}],
         "*)"}], "\[IndentingNewLine]", 
       RowBox[{"Errorlistbsweep", "=", 
        RowBox[{"Table", "[", 
         RowBox[{
          SuperscriptBox[
           RowBox[{"(", 
            RowBox[{
             RowBox[{"FuncForthisJsback", "[", 
              RowBox[{"bsweep", "[", 
               RowBox[{"[", 
                RowBox[{"i", ",", "1"}], "]"}], "]"}], "]"}], "-", 
             RowBox[{"bsweep", "[", 
              RowBox[{"[", 
               RowBox[{"i", ",", "2"}], "]"}], "]"}]}], ")"}], "2"], ",", 
          RowBox[{"{", 
           RowBox[{"i", ",", "1", ",", 
            RowBox[{"Length", "[", "bsweep", "]"}]}], "}"}]}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Errorlist", "=", 
        RowBox[{"Join", "[", 
         RowBox[{"Errorlistfsweep", ",", "Errorlistbsweep"}], "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Chi2error", "=", 
        RowBox[{"Total", "[", "Errorlist", "]"}]}], ";", 
       "\[IndentingNewLine]", 
       RowBox[{"Return", "[", 
        RowBox[{"Chi2error", ",", "Module"}], "]"}]}]}], 
     "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", 
   RowBox[{"Chi2test", "[", 
    RowBox[{"ForwSweep", ",", "BackSweep", ",", 
     RowBox[{"-", "0.000047`15"}], ",", 
     RowBox[{"-", "0.000005`15"}]}], "]"}]}]}]], "Input",
 CellChangeTimes->{{3.7302999216866035`*^9, 3.7302999456422405`*^9}, {
   3.730300086701704*^9, 3.7303000975579805`*^9}, {3.7303002748143225`*^9, 
   3.730300328423291*^9}, {3.730300414880454*^9, 3.730300425376156*^9}, {
   3.7303004865166135`*^9, 3.7303005842349367`*^9}, {3.7303006271408377`*^9, 
   3.7303006961361957`*^9}, {3.730300734424465*^9, 3.730300736209135*^9}, {
   3.7303009235990834`*^9, 3.7303010963531475`*^9}, 3.730301131922965*^9, 
   3.7303431991067467`*^9, {3.73034355147365*^9, 3.730343584235338*^9}, 
   3.730343751288047*^9, {3.730345215163646*^9, 3.7303453102779493`*^9}, {
   3.730345378457849*^9, 3.730345447317193*^9}, {3.730345663991143*^9, 
   3.7303456759922485`*^9}, 3.730345736068678*^9, 3.7303457765246677`*^9, 
   3.73036285037795*^9, 3.7303737176745996`*^9, {3.7304666935621357`*^9, 
   3.7304667021620083`*^9}, 3.7304673528845816`*^9, {3.7304681202952976`*^9, 
   3.7304681207554846`*^9}, {3.7304755273682914`*^9, 3.73047553175209*^9}, {
   3.7306344118376093`*^9, 3.730634418250849*^9}, 3.730634872062109*^9, 
   3.7306350063152194`*^9, {3.7327167677000313`*^9, 3.7327167703193154`*^9}, {
   3.732716801594396*^9, 
   3.7327168207817717`*^9}},ExpressionUUID->"83a5dcba-a9cb-4d2f-afbe-\
07b493e2c824"],

Cell[BoxData["5.339279357239371`"], "Output",
 CellChangeTimes->{3.7303739250489063`*^9, 3.730374521945752*^9, 
  3.730390635898194*^9, 3.7303908809508853`*^9, 3.7304545885687723`*^9, 
  3.7304552323586445`*^9, 3.7304667885622597`*^9, 3.730467333759654*^9, 
  3.73046743889001*^9, 3.7304680695131054`*^9, 3.7304682099869823`*^9, 
  3.7304756226862297`*^9, 3.730531389193511*^9, 3.730616195350627*^9, 
  3.730618975028294*^9, 3.7306285511692553`*^9, 3.730629016532892*^9, 
  3.730634506868577*^9, 3.730634768453677*^9, 3.7306349589211617`*^9, 
  3.7306350956383014`*^9, 3.7307141364785986`*^9, 3.7307223006587014`*^9, 
  3.7307226050137477`*^9, 3.730784488261966*^9, 3.730785344087204*^9, 
  3.7308307445869617`*^9},ExpressionUUID->"e38585b6-3acb-442d-805b-\
e1c0780c3f42"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{"testreer", "=", 
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"J2", ",", 
        RowBox[{"Chi2test", "[", 
         RowBox[{"ForwSweep", ",", "BackSweep", ",", 
          RowBox[{"-", "0.00005`15"}], ",", "J2"}], "]"}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"J2", ",", 
        RowBox[{"-", "0.000050`15"}], ",", "0.00000`15", ",", "0.000005`15"}],
        "}"}]}], "]"}]}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"result", "=", 
    RowBox[{"Flatten", "[", 
     RowBox[{
      RowBox[{"Table", "[", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{"J1", ",", "J2", ",", 
          RowBox[{"Chi2test", "[", 
           RowBox[{"ForwSweep", ",", "BackSweep", ",", "J1", ",", "J2"}], 
           "]"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"J1", ",", 
          RowBox[{"-", "0.000131`15"}], ",", 
          RowBox[{"-", "0.000120`15"}], ",", "0.000001`15"}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{"J2", ",", 
          RowBox[{"-", "0.00001`15"}], ",", "0.000003`15", ",", 
          "0.000001`15"}], "}"}]}], "]"}], ",", "1"}], "]"}]}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.730302130940551*^9, 3.730302322479164*^9}, 
   3.7303024687141027`*^9, {3.7303025835520043`*^9, 3.7303025839280105`*^9}, {
   3.73034728228041*^9, 3.7303472847893*^9}, {3.7303598420407286`*^9, 
   3.7303598875961175`*^9}, {3.7303735783421125`*^9, 3.730373627497533*^9}, {
   3.730374358545618*^9, 3.7303743739474154`*^9}, {3.730377257272169*^9, 
   3.7303772896268597`*^9}, {3.7303807378190317`*^9, 3.730380749140131*^9}, {
   3.730380986240074*^9, 3.7303810032178636`*^9}, {3.7303865838103857`*^9, 
   3.730386592127701*^9}, 3.7303866243066626`*^9, {3.730390470867075*^9, 
   3.7303905076355567`*^9}, {3.7303907570950885`*^9, 3.730390761534176*^9}, 
   3.7303919154398513`*^9, {3.730394387500513*^9, 3.730394430401535*^9}, {
   3.7303985708390627`*^9, 3.7303985889975014`*^9}, {3.730401726884011*^9, 
   3.7304017420645943`*^9}, {3.730427185679654*^9, 3.7304272592383776`*^9}, {
   3.7304288597213697`*^9, 3.7304288646953125`*^9}, {3.7304374572745347`*^9, 
   3.730437504447682*^9}, {3.7304395770150414`*^9, 3.730439588711079*^9}, 
   3.7304422731213083`*^9, {3.7304441440115814`*^9, 3.7304441657604914`*^9}, {
   3.7304542662408967`*^9, 3.7304543140101786`*^9}, {3.7304586561647563`*^9, 
   3.730458663724324*^9}, {3.7304618840499005`*^9, 3.730461952572753*^9}, {
   3.7304682917696524`*^9, 3.730468346286669*^9}, {3.730471228992666*^9, 
   3.7304712447997384`*^9}, {3.73047658481073*^9, 3.7304766879791145`*^9}, 
   3.7304773692461452`*^9, {3.7304787306709805`*^9, 3.7304787377019625`*^9}, {
   3.7305301135559063`*^9, 3.730530232626479*^9}, {3.7305305785456195`*^9, 
   3.730530598598768*^9}, {3.7305310352371006`*^9, 3.730531041932975*^9}, {
   3.730531412361767*^9, 3.7305314219293776`*^9}, {3.73053233956629*^9, 
   3.7305323780395374`*^9}, {3.7305324617818065`*^9, 3.7305325062539673`*^9}, 
   3.7305461944708967`*^9, {3.730616004966691*^9, 3.730616064586711*^9}, {
   3.7306283820699034`*^9, 3.730628449527236*^9}, {3.730628695516351*^9, 
   3.7306287148434944`*^9}, 3.730630213885419*^9, {3.7306303123804197`*^9, 
   3.7306303274885545`*^9}, {3.73063259490718*^9, 3.730632628768565*^9}, {
   3.730635233531337*^9, 3.730635239426644*^9}, {3.730645050545396*^9, 
   3.73064505718893*^9}, {3.73064508812928*^9, 3.730645177456481*^9}, {
   3.7306452401576157`*^9, 3.730645243419714*^9}, {3.730645277130934*^9, 
   3.730645277210763*^9}, {3.7306453081670823`*^9, 3.7306453347036033`*^9}, {
   3.730659623984748*^9, 3.730659659658566*^9}, {3.730660014930111*^9, 
   3.7306600391711197`*^9}, {3.730722159202797*^9, 3.7307221669832077`*^9}, {
   3.730722349018626*^9, 3.730722380855348*^9}, {3.7307562336160526`*^9, 
   3.730756250998677*^9}, {3.7307563123987646`*^9, 3.7307563318921933`*^9}, {
   3.7307844065071254`*^9, 3.7307844163991027`*^9}, {3.730784473151582*^9, 
   3.7307845202012835`*^9}, {3.7307965131896996`*^9, 
   3.7307965195316205`*^9}, {3.730796599363626*^9, 3.730796611239366*^9}, {
   3.7307966568650155`*^9, 3.7307966570752707`*^9}, {3.7308081678446903`*^9, 
   3.730808179155819*^9}, {3.7308104583182154`*^9, 3.7308104584783077`*^9}, {
   3.730814006554376*^9, 3.730814026315057*^9}, {3.7308304975983553`*^9, 
   3.7308305093018017`*^9}, {3.730855162688094*^9, 3.730855171440923*^9}, {
   3.7327254404629846`*^9, 
   3.732725441395341*^9}},ExpressionUUID->"942fd965-c375-493a-95b1-\
6d74ca74d0c3"],

Cell[BoxData[
 TemplateBox[{
  "NMinimize","cvmit",
   "\"Failed to converge to the requested accuracy or precision within \\!\\(\
\\*RowBox[{\\\"10000\\\"}]\\) iterations.\"",2,1498,166,20203344980245799425,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.730858944098372*^9},ExpressionUUID->"5d65eadb-7a0d-48bf-8915-\
99a1e3b7998f"],

Cell[BoxData[
 TemplateBox[{
  "NMinimize","cvmit",
   "\"Failed to converge to the requested accuracy or precision within \\!\\(\
\\*RowBox[{\\\"10000\\\"}]\\) iterations.\"",2,1498,167,20203344980245799425,
   "Local"},
  "MessageTemplate"]], "Message", "MSG",
 CellChangeTimes->{
  3.7308589904047637`*^9},ExpressionUUID->"84a03122-6851-44ca-bba3-\
bb76038fc4c5"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.04294081676139185`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.03602116013270097`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.029484872574656804`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.023559250546122627`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.01851718114076891`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", 
     "0.014716145571039762`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", 
     "0.012628223991685944`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", 
     "0.011704640470723442`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", 
     "0.01191244536562734`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.013654389899310334`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", "0``19.698970004336015", ",", 
     "0.0178101266689224`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", "1.`13.67778070526608*^-6", ",", 
     "0.025218675104011882`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", "2.`13.958607314841775*^-6", ",", 
     "0.030178397854876172`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000131`15."}], ",", "3.`14.11539341870207*^-6", ",", 
     "0.03777228151135927`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.04448600246735118`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.03755694142091617`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.030977474119164787`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.025038526706925315`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.020021065753617676`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", "0.0163112847333658`"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", 
     "0.013969221652648191`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", 
     "0.012848382739464346`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", 
     "0.01343222598027235`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.015642654860642063`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", "0``19.698970004336015",
      ",", "0.02061122062780263`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     "1.`13.67778070526608*^-6", ",", "0.025841956987734553`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     "2.`13.958607314841775*^-6", ",", "0.030851580345477997`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.00013`14.99336942110099"}], ",", 
     "3.`14.11539341870207*^-6", ",", "0.03897503854487471`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.047039610783748985`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.0400151305672741`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.03348296049859441`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.02762237995253957`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.022739572199383225`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", 
     "0.019231191034059337`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", 
     "0.016568163065763298`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", 
     "0.015390420924866813`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", 
     "0.01625858167539649`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.01922016105465428`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     "0``19.698970004336015", ",", "0.024792022253438274`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     "1.`13.67778070526608*^-6", ",", "0.027943127359924935`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     "2.`13.958607314841775*^-6", ",", "0.03338517727586811`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000129`14.986738069332166"}], ",", 
     "3.`14.11539341870207*^-6", ",", "0.042511146820939635`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.050557772385258694`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.04340919625415963`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.03700868136187237`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.031329076562430405`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.02669500900307524`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", 
     "0.023115875169595103`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", 
     "0.020456220944300677`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", 
     "0.019368972265735543`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", 
     "0.02046836235655556`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.024446041654537735`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     "0``19.698970004336015", ",", "0.028237902576537098`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     "1.`13.67778070526608*^-6", ",", "0.031708211261145425`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     "2.`13.958607314841775*^-6", ",", "0.03790806421942688`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000128`14.980105171283064"}], ",", 
     "3.`14.11539341870207*^-6", ",", "0.04858025370011303`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.05508931708777453`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.047802997885612736`"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.04157263409147807`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.03617353402684486`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.031884664779996755`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", 
     "0.028188739196603006`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", 
     "0.02567177698037492`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", 
     "0.024828265842109946`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", 
     "0.026348461403578178`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.03086704910144465`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     "0``19.698970004336015", ",", "0.0330825983443718`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     "1.`13.67778070526608*^-6", ",", "0.037215815194720586`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     "2.`13.958607314841775*^-6", ",", "0.044567039740959415`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000127`14.973469952460952"}], ",", 
     "3.`14.11539341870207*^-6", ",", "0.05742828185057956`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.06062609165910705`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.053333999183967584`"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.04718588106255418`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.04217052612561928`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.03797997509600062`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", 
     "0.03447715137282632`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", 
     "0.03223977295412289`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", 
     "0.03180399350513741`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", "0.0339629709879629`"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.03661783362905836`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     "0``19.698970004336015", ",", "0.03948440626390196`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     "1.`13.67778070526608*^-6", ",", "0.04456540672878691`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     "2.`13.958607314841775*^-6", ",", "0.053499399987891744`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000126`14.966831636747347"}], ",", 
     "3.`14.11539341870207*^-6", ",", "0.06936356683335865`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.06720935981773962`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.05998406862863528`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.05391519031034332`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.04932179431939193`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.04518957344387478`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", 
     "0.042007110795699035`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", "0.0401833082976286`"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", 
     "0.04033580680167533`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", 
     "0.04293652639094729`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.043901010598675974`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     "0``19.698970004336015", ",", "0.04742407908438101`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     "1.`13.67778070526608*^-6", ",", "0.05385800294035788`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     "2.`13.958607314841775*^-6", ",", "0.06489033347164339`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.000125`14.960189445851652"}], ",", 
     "3.`14.11539341870207*^-6", ",", "0.08136060909524215`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.07483516162361456`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.06776920209509849`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.06190910503055615`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.05731353611163103`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.053531621417038384`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", 
     "0.05081253302070631`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", 
     "0.04955542392865443`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", 
     "0.050474970873664315`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", 
     "0.051566560166268566`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.05286100317803491`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     "0``19.698970004336015", ",", "0.05703489041147905`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     "1.`13.67778070526608*^-6", ",", "0.06521083853582349`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     "2.`13.958607314841775*^-6", ",", "0.07894408432218165`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012400000000000000000000000000000001`14.953542598761"}], ",", 
     "3.`14.11539341870207*^-6", ",", "0.08787584091346753`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.0835080804377456`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.07670443369426674`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.07114282377047929`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.06640260998522296`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.06304552108678185`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", 
     "0.06089043864321034`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", "0.0603852919131746`"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", 
     "0.06188336289080511`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", 
     "0.06163657363783555`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.06354901911640348`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", "0``19.698970004336015", ",", "0.06865731708229372`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", "1.`13.67778070526608*^-6", ",", "0.07863082773640646`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", "2.`13.958607314841775*^-6", ",", "0.09300646480019698`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012300000000000000000000000000000001`14.946890311185307"}], 
     ",", "3.`14.11539341870207*^-6", ",", "0.09614739144231746`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.09325924616455752`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.08680961292442968`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.08132120141602256`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.07675739928273823`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.07372795450196049`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", 
     "0.07227970760367727`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", 
     "0.07266894187617878`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", 
     "0.07299460105677089`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", 
     "0.07329299342073209`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.07603263778977515`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", "0``19.698970004336015", ",", "0.08238924307165706`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", "1.`13.67778070526608*^-6", ",", "0.09442224920381855`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", "2.`13.958607314841775*^-6", ",", "0.10249350730468057`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012200000000000000000000000000000001`14.940231794996516"}], 
     ",", "3.`14.11539341870207*^-6", ",", "0.10663753717735287`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.10406960246929878`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.09806556403640874`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.09263981820821689`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.08836394896985855`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.08566196951921007`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", 
     "0.08503759549126237`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", 
     "0.08613849159277284`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", 
     "0.08543537439880362`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", 
     "0.08654666015874338`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.09037975652613824`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", "0``19.698970004336015", ",", "0.09833370388841278`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", "1.`13.67778070526608*^-6", ",", "0.1104388528789955`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", "2.`13.958607314841775*^-6", ",", "0.11356210249625513`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012100000000000000000000000000000001`14.933566257661075"}], 
     ",", "3.`14.11539341870207*^-6", ",", "0.11952377955973939`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", 
     RowBox[{"-", "1.`15.*^-5"}], ",", "0.11597220934132813`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", 
     RowBox[{"-", "9.`14.9128498242811*^-6"}], ",", "0.11020453014528919`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", 
     RowBox[{"-", "8.`14.823908740944317*^-6"}], ",", 
     "0.10511913221647026`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", 
     RowBox[{"-", "7.`14.731154687707416*^-6"}], ",", 
     "0.10124304993743902`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", 
     RowBox[{"-", "6.`14.632023214705402*^-6"}], ",", 
     "0.09903409863295459`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", 
     RowBox[{"-", "5.`14.522878745280332*^-6"}], ",", 
     "0.09912461554329938`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", 
     RowBox[{"-", "4.`14.397940008672034*^-6"}], ",", "0.0993093478471253`"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", 
     RowBox[{"-", "3.`14.246672333341383*^-6"}], ",", "0.0993497953192315`"}],
     "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", 
     RowBox[{"-", "2.`14.045757490560671*^-6"}], ",", 
     "0.10146509500441589`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", 
     RowBox[{
     "-", "1.00000000000000000000000000000001`13.721246399047168*^-6"}], ",", 
     "0.10665404845346813`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", "0``19.698970004336015", ",", "0.11659530554680053`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", "1.`13.67778070526608*^-6", ",", "0.12278024871642905`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", "2.`13.958607314841775*^-6", ",", "0.12668224389704175`"}], "}"}], 
   ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
     "-", "0.00012000000000000000000000000000000001`14.926892901664573"}], 
     ",", "3.`14.11539341870207*^-6", ",", "0.13503240671476308`"}], "}"}]}], 
  "}"}]], "Output",
 CellChangeTimes->{3.7305325191270723`*^9, 3.7305462054699783`*^9, 
  3.73061619538067*^9, 3.7306236446302905`*^9, 3.730628728197523*^9, 
  3.7306302007866273`*^9, 3.730632089362751*^9, 3.7306339246807337`*^9, 
  3.73063619014034*^9, 3.730650794321868*^9, 3.7306612322037935`*^9, 
  3.730714276816477*^9, 3.730740060267248*^9, 3.7307674973226614`*^9, 
  3.7307960345865784`*^9, 3.730807569455118*^9, 3.7308101199921803`*^9, 
  3.7308135433306484`*^9, 3.730815997615259*^9, 3.7308530026313505`*^9, 
  3.7308699637504997`*^9},ExpressionUUID->"9e6a0fc4-5623-4616-b609-\
85fa3a268316"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"ListPlot", "[", "testreer", "]"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"ListContourPlot", "[", "result", "]"}], 
   "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.7305322234984455`*^9, 3.7305322739959507`*^9}, {
   3.7306302168974314`*^9, 3.7306302319511056`*^9}, {3.7306450619684906`*^9, 
   3.7306450663698363`*^9}, {3.730659669223768*^9, 3.7306596758065405`*^9}, {
   3.7307221769212704`*^9, 3.7307221811638565`*^9}, 
   3.732725452986842*^9},ExpressionUUID->"485aedf6-77f8-4ae0-8b00-\
f8406530fe61"],

Cell[BoxData[
 GraphicsBox[GraphicsComplexBox[CompressedData["
1:eJxll3s81Fkfx4fKdlEpXbfa+elCD91shbR7tNWK2p5iU6v7JkVyyaWLktDF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   "], {{
     {RGBColor[0.148, 0.33, 0.54], EdgeForm[None], 
      GraphicsGroupBox[{
        PolygonBox[{{210, 50, 207}, {207, 50, 204}, {193, 35, 192}, {189, 34, 
         187}, {190, 34, 189}, {24, 11, 10}, {36, 37, 23}, {173, 5, 171}, {8, 
         22, 9}, {22, 8, 21}, {10, 23, 24}, {22, 23, 9}, {188, 38, 191}, {20, 
         21, 7}, {6, 20, 7}, {21, 8, 7}, {171, 5, 172}, {36, 50, 37}, {10, 9, 
         23}, {191, 38, 203}, {35, 21, 34}, {183, 20, 181}, {34, 21, 20}, {24,
          23, 37}, {24, 37, 38}, {21, 35, 22}, {22, 36, 23}, {176, 11, 182}, {
         205, 50, 210}, {203, 38, 201}, {36, 22, 35}}], 
        PolygonBox[{{184, 24, 38, 188}, {181, 20, 6, 174}, {187, 34, 20, 
         183}, {194, 36, 35, 193}, {192, 35, 34, 190}, {174, 6, 5, 173}, {200,
          37, 50, 205}, {182, 11, 24, 184}, {201, 38, 37, 200}, {204, 50, 36, 
         194}}]}]}, 
     {RGBColor[0.3496637578893682, 0.42659109702182274`, 0.6135203467998602], 
      EdgeForm[None], 
      GraphicsGroupBox[{
        PolygonBox[{{76, 63, 62}, {173, 19, 174}, {19, 18, 32}, {25, 26, 
         12}, {45, 32, 31}, {174, 19, 181}, {3, 16, 17}, {17, 18, 4}, {3, 2, 
         16}, {3, 17, 4}, {46, 32, 45}, {188, 25, 184}, {33, 32, 46}, {184, 
         25, 182}, {13, 26, 27}, {179, 16, 177}, {28, 14, 27}, {27, 14, 13}, {
         169, 2, 170}, {186, 31, 185}, {177, 16, 178}, {13, 12, 26}, {19, 32, 
         33}, {31, 18, 17}, {32, 18, 31}, {25, 39, 26}, {41, 54, 55}, {62, 49,
          48}, {53, 54, 40}, {205, 51, 200}, {200, 51, 201}, {41, 28, 27}, {
         194, 49, 204}, {198, 45, 197}, {27, 40, 41}, {47, 61, 48}, {80, 67, 
         66}, {41, 40, 54}, {63, 49, 62}, {63, 77, 64}, {33, 46, 47}, {39, 40,
          26}, {27, 26, 40}, {53, 39, 52}, {47, 46, 60}, {61, 62, 48}, {183, 
         33, 187}, {47, 60, 61}, {39, 53, 40}, {222, 75, 221}, {193, 49, 
         194}, {67, 53, 66}, {52, 65, 66}, {66, 53, 52}, {212, 60, 211}, {75, 
         76, 62}, {78, 64, 77}, {64, 65, 51}, {53, 67, 54}, {227, 81, 244}, {
         52, 51, 65}, {213, 60, 212}, {242, 80, 240}, {208, 55, 215}, {190, 
         48, 192}, {77, 63, 76}, {55, 54, 68}, {216, 68, 225}, {61, 75, 62}, {
         67, 68, 54}, {224, 76, 223}, {199, 45, 198}, {228, 77, 226}, {78, 79,
          65}, {66, 79, 80}, {239, 79, 236}, {81, 67, 80}, {66, 65, 79}, {206,
          55, 208}, {244, 81, 243}, {235, 78, 229}, {67, 81, 68}, {64, 78, 
         65}, {221, 75, 220}}], 
        PolygonBox[{{223, 76, 75, 222}, {204, 49, 63, 207}, {236, 79, 78, 
         235}, {203, 52, 39, 191}, {181, 19, 33, 183}, {220, 75, 61, 214}, {
         180, 17, 16, 179}, {240, 80, 79, 239}, {192, 48, 49, 193}, {187, 33, 
         47, 189}, {202, 46, 45, 199}, {201, 51, 52, 203}, {182, 25, 12, 
         176}, {172, 4, 18, 171}, {225, 68, 81, 227}, {171, 18, 19, 173}, {
         196, 41, 55, 206}, {211, 60, 46, 202}, {215, 55, 68, 216}, {229, 78, 
         77, 228}, {210, 64, 51, 205}, {243, 81, 80, 242}, {189, 47, 48, 
         190}, {191, 39, 25, 188}, {226, 77, 76, 224}, {207, 63, 64, 210}, {
         195, 28, 41, 196}, {178, 16, 2, 169}, {185, 31, 17, 180}, {197, 45, 
         31, 186}, {214, 61, 60, 213}}]}]}, 
     {RGBColor[0.6034589976252758, 0.515784312264474, 0.4643244231212436], 
      EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxNkjkvhFEUhu+diY4gKEm0xg8wNBoyphwJM5YxUTAbfpcWDS0iUWjEIMQu
9iWExO45ua9E8eTc+51z37N9reMzqemIc64bonAGw3AOEe/cFLYJe48dhDu4
gRG4hQF979O7gnwPMAqPsAVJqEBaZ3sz5oJ+DvqhF3rkS0qzIN08NFBHGVuP
TSi3xVzo/Yvem06Hzin5TnU+hgPIwCH8SPtbtVhNlmMF2mAZOl3I1wVF9Wd1
bSjGYj9gAt4hq95Lii3qXpZ+VpT0LaE+/vRLim+HGMR1jquWiuazDy3QrLgd
9bwNs1ALc4qJSWNe9wVYV85NeNUenA/zsJkPqR/r600zs/Mk1PlQZw32Uru4
gif19gxr0rc814qx2F31vAdf0vt04T+zHTRij5T/RHnT/3Ln5Yv6sAfvQz/W
1yJU+zDHKh/mndPulzSDVf0TKfky0jXNX4iQWhw=
         "]], PolygonBox[CompressedData["
1:eJwt0kkvw1EUxuF7ix1BdFuJxEp8AMO6opaVULNYmMvn0h1W7NVOKoh5nmJu
TUmjht9x38WTe/7TyTlv2zA2n5yLOOcaUY4V1KMZqyhhAuP4whKqEcMiinqW
QgE5tKAJG3jEIIbwgirv3AznNCqpPzi7MYpPPKEXPbjHG4YxgndcY0A9HxCl
R5pzFnXUFT70nkIZtfOht70Toc5ytqEd69hFXDPb7Efo0j7H9rkPvSbxq51j
ymhZO6c087O+ses+nGhmmz2JS+SVhe30ii3NksA2btChTG6RCSv8Z76AO2XT
iX3U+rC7ZVpDfahntuMm1vRb2nVW96xuxQEu0K9MrzRDQhns4FS72DtnONcu
ltkefpSN/Ue+8Qefn0z1
         "]]}]}, 
     {RGBColor[0.8572542373611833, 0.6049775275071252, 0.31512849944262705`], 
      EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJwtkcsuQ1EUhvdqCXEXQtxC0YERQdJHMBcegDA9TRSt6qg3Xs8Qc0JCYkAi
rt/K+gdf/n3WXvtfl1M4LO9muZTSJuThDE6hCXW4gCsoWEptdAkds4iPo0NQ
4zyMPqJ78ABdvfO8O9iBG8U9vwOzFnVm0KJFbBWt6r4muvK5hkv1VZe/x+bk
437P6BG8qJ7XvYdb2IcnWCavgS6irRRzncO6Ra01dMvCfwNdsahTsvA+gWP4
gAN4hy/t7Rt+tMdfGOVNBR1B3/TuE/r4LqNTFn4V3blfluIuZ3FOaF576bXw
bqnnac3iM73Kw+v0y3cAHdTZYxMWu5u02GVD9f7kZ8R71Jv3uKAdzev/V5XX
0bmtWZvqqaRdbcsjU41/LyBBdw==
         "]], PolygonBox[CompressedData["
1:eJwtkUlOAmEQRqtQFwoqikiIE0RduJJE7+De6AEY3ELigAKuHIDbeB7jARwS
3SmOyKtULV7+191V1V9XFyuN/XpCRAowDqoiTc5zGMM34Ba/gSK+C328Bzt4
Sd27sI1/cR7BCXzDJ9SgCpM831KvtZmb+JDzTPyd/zCAMjQsj/oMm3UKP/Ab
bj1/YoFF6tHzAVmuO+L3EvgyXONXsIS/Rh7L+Abv0XsAjzBNzQVnC9L4GlyK
z1zF59Xfb5lm8Tn12jZk1Gus1na0jk+o79JmpvAZ9d5jSOJT6l6LXT3Fruz6
BR5gDw7hHvLq32IZLMtzPKtG76L67ixzDr+LbyvHbhfUs3ZiVwX1f2s7WsFH
Qp04mA==
         "]]}]}, 
     {RGBColor[0.933713973977171, 0.7042849349429277, 0.3945133193292302], 
      EdgeForm[None], GraphicsGroupBox[{PolygonBox[CompressedData["
1:eJxFkE1OgkEMhqdgTIBEExYQIqBfgAgxovKXYIx6Bo7AAQAPoMElLhBBcYl4
AY6HS5+mJSzePG1n5m07UX/YG8RCCBUURykJYQyP4D1aEt/BNHolzsFb9E38
6JwEu1clf4NduIYL9IMOyV/guXtPg3kp3z1ucvYFW7L3fYAdNCNui/XRuvbI
kj/DjFgP7TVHkRjLsCJWr/ldnWGEiu51Cutic1zAP/iEksRX6JP4Gpb8vr5b
+U7ao0D+Ac/gFvbRxmfR/fV9QsxTvX+9tjvTXHc+8R3z8EDMR/2O/c/T3mfl
fRti/3YjNrfOfwn/AVbnLsY=
         "]], PolygonBox[CompressedData["
1:eJwtkElOQlEQRV8ZE4gmOFNRCIIImNgh9nRxCy6BBYguAJshDEREdGjCSj03
VYOTf/Kr6lVTHgwfHldSSgVYhTVL6ZnvK2TxOrzgI6jhBfjEZ1DEL2CB/8C1
eY5yJ9DAc/CGv8MGvmde+wVlvGKeq5otvATjqFfsJvLV8wrfjPefIGM+o2ZV
j3Xzf4oNtA+eN+89hR18O+ZRzRF+Gfsofo7fxjy/cId3zHfTjm28bx7Tvx5+
CHP8G07xY/iIedSrC39xL+1SNd9dNQf4mXmt3m/hTfNZ9MaJeU/FlnBvfmP1
1o32zXeaxn128X8dxSiT
         "]]}]}, 
     {RGBColor[0.9742563445420125, 0.8056408613550313, 0.5201946680802387], 
      EdgeForm[None], 
      GraphicsGroupBox[{
        PolygonBox[{{298, 154, 326}, {280, 141, 301}, {314, 152, 313}, {294, 
         139, 295}, {318, 164, 319}, {139, 152, 153}, {321, 163, 315}, {153, 
         140, 139}, {325, 153, 323}, {153, 154, 140}, {300, 141, 280}, {312, 
         158, 317}, {315, 163, 316}, {310, 158, 312}, {302, 156, 305}, {306, 
         157, 309}, {296, 139, 294}}], 
        PolygonBox[{{326, 154, 153, 325}, {316, 163, 164, 318}, {299, 155, 
         156, 302}, {305, 156, 157, 306}, {301, 141, 155, 299}, {320, 165, 
         152, 314}, {322, 152, 165, 324}, {309, 157, 158, 310}, {323, 153, 
         152, 322}, {313, 152, 139, 296}, {295, 139, 140, 262}, {319, 164, 
         165, 320}}]}]}, 
     {RGBColor[1., 0.95, 0.75], EdgeForm[None], 
      GraphicsGroupBox[{
        PolygonBox[{{322, 166, 323}, {325, 167, 326}, {324, 166, 322}}], 
        PolygonBox[{{326, 167, 168, 298}, {323, 166, 167, 325}}]}]}}, {{}, 
     TagBox[
      TooltipBox[
       {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
        LineBox[{298, 326, 325, 323, 322, 324}]},
       "0.12`"],
      Annotation[#, 0.12, "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
        LineBox[{262, 295, 294, 296, 313, 314, 320, 319, 318, 316, 315, 321}],
         LineBox[{300, 280, 301, 299, 302, 305, 306, 309, 310, 312, 317}]},
       "0.1`"],
      Annotation[#, 0.1, "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
        LineBox[{175, 247, 260, 263, 278, 279, 290, 287, 286, 291, 311, 308, 
         307, 304, 303, 297, 293, 292, 289, 288, 285, 284, 283, 282, 281, 274,
          271, 270, 267, 264, 266, 248, 265}]},
       "0.08`"],
      Annotation[#, 0.08, "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
        LineBox[{218, 209, 219, 217, 233, 232, 234, 237, 238, 241, 249, 250, 
         251, 252, 253, 254, 255, 257, 259, 261, 268, 269, 272, 273, 275, 276,
          277, 258, 256, 246, 245, 231, 230}]},
       "0.06`"],
      Annotation[#, 0.06, "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
        LineBox[{170, 169, 178, 177, 179, 180, 185, 186, 197, 198, 199, 202, 
         211, 212, 213, 214, 220, 221, 222, 223, 224, 226, 228, 229, 235, 236,
          239, 240, 242, 243, 244, 227, 225, 216, 215, 208, 206, 196, 195}]},
       "0.04`"],
      Annotation[#, 0.04, "Tooltip"]& ], 
     TagBox[
      TooltipBox[
       {GrayLevel[0], Opacity[0.5], CapForm["Butt"], 
        LineBox[{172, 171, 173, 174, 181, 183, 187, 189, 190, 192, 193, 194, 
         204, 207, 210, 205, 200, 201, 203, 191, 188, 184, 182, 176}]},
       "0.02`"],
      Annotation[#, 0.02, "Tooltip"]& ], {}, {}}}],
  AspectRatio->1,
  AxesOrigin->{Automatic, Automatic},
  DisplayFunction->Identity,
  Frame->True,
  FrameLabel->{None, None},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{741., Automatic},
  Method->{"DefaultBoundaryStyle" -> Automatic, "GridLinesInFront" -> True},
  PlotRange->{{-0.000131, -0.00012}, {-0.00001, 3.*^-6}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.02]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.730374355490763*^9, 3.7303767860272083`*^9, 3.730380093874593*^9, 
   3.730386391516059*^9, 3.730386614739399*^9, 3.7303878891221886`*^9, 
   3.7303907511425295`*^9, 3.7303919125327697`*^9, 3.7303940937849054`*^9, 
   3.7303976407525764`*^9, 3.730401666329509*^9, 3.7304038445451536`*^9, 
   3.7304286787079334`*^9, 3.730429907914246*^9, 3.730439463311813*^9, 
   3.7304422693883715`*^9, 3.7304440945113015`*^9, 3.730455011441672*^9, 
   3.7304565685831323`*^9, 3.7304604584946322`*^9, 3.7304634900783796`*^9, 
   3.7304706667045794`*^9, 3.7304753950073595`*^9, 3.730476842271063*^9, 
   3.730478597019765*^9, 3.7304797691445894`*^9, 3.730483009560066*^9, 
   3.7305314325069985`*^9, {3.730532229413004*^9, 3.730532274526579*^9}, 
   3.7305461882985325`*^9, 3.7305641656914344`*^9, 3.730630232782189*^9, 
   3.7306321278913617`*^9, 3.7306339247508583`*^9, 3.730636190220148*^9, 
   3.7306508778070946`*^9, 3.7306612322957664`*^9, 3.730740060377329*^9, 
   3.7307744774795065`*^9, 3.7307960469803305`*^9, 3.73080763310619*^9, 
   3.730813582340955*^9, 3.730821481793496*^9, 3.730854666424698*^9, 
   3.7308700411142035`*^9},ExpressionUUID->"0819394e-acaf-4505-8d04-\
7b3ea245836a"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", 
   RowBox[{"exporting", " ", "results"}], "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"discretizedforw", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"testfunc1sweep", "[", "i", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", "0.7", ",", 
         RowBox[{"-", "0.7"}], ",", 
         RowBox[{"-", "0.001"}]}], "}"}]}], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{"ListLinePlot", "[", "discretizedforw", "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"discretizedback", "=", 
     RowBox[{"Table", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"testfunc2sweep", "[", "i", "]"}]}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"i", ",", 
         RowBox[{"-", "0.7"}], ",", "0.7", ",", "0.001"}], "}"}]}], "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{"ListLinePlot", "[", "discretizedback", "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{"TotalFit", "=", 
    RowBox[{"Join", "[", 
     RowBox[{"discretizedforw", ",", "discretizedback"}], "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"exportpath", "=", 
    RowBox[{"SystemDialogInput", "[", "\"\<FileOpen\>\"", "]"}]}], 
   "\[IndentingNewLine]", 
   RowBox[{"Export", "[", 
    RowBox[{"exportpath", ",", "TotalFit", ",", "\"\<XLSX\>\""}], "]"}], 
   "\[IndentingNewLine]", "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.730450856240938*^9, 3.7304511801057153`*^9}, {
  3.7304512146923866`*^9, 3.7304512152869744`*^9}, {3.730451247965291*^9, 
  3.7304512566721888`*^9}, {3.730451393481262*^9, 3.730451393952015*^9}, {
  3.730451468182376*^9, 3.7304515122614717`*^9}, {3.730451574199171*^9, 
  3.7304515894758015`*^9}, {3.7304519564814253`*^9, 3.7304519787035556`*^9}, {
  3.732716842580303*^9, 3.732716845969979*^9}, {3.732725541723625*^9, 
  3.7327255464811754`*^9}},ExpressionUUID->"a013a143-1ed5-4607-b349-\
dd7ef2733076"]
},
EvaluationCompletionAction->"ShowTiming",
WindowSize->{1520, 771},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>1.1 Inherited,
FrontEndVersion->"11.2 for Microsoft Windows (64-bit) (September 10, 2017)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 2158, 60, 348, "Input",ExpressionUUID->"f2ae5c15-7673-4d7a-a962-c844bd42f7fd"],
Cell[2741, 84, 7143, 132, 265, "Output",ExpressionUUID->"6ea27a67-022d-4706-b018-ffc2a913f231"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9921, 221, 20946, 363, 1257, "Input",ExpressionUUID->"95940a2e-f38f-461b-81c7-a8ec9eef38e8"],
Cell[30870, 586, 219, 4, 38, "Output",ExpressionUUID->"d30d1363-dc98-4437-b240-7641624f9e83"],
Cell[31092, 592, 229, 4, 38, "Output",ExpressionUUID->"8cefeeeb-f1d5-498a-958d-1fcc63cc7ef2"]
}, Open  ]],
Cell[CellGroupData[{
Cell[31358, 601, 4447, 97, 480, "Input",ExpressionUUID->"811be3fd-f1ed-48bb-be21-237c974d3331"],
Cell[35808, 700, 1002, 15, 36, "Output",ExpressionUUID->"9572699b-fbd9-4a9b-8ca4-377fc3783094"],
Cell[36813, 717, 1002, 15, 36, "Output",ExpressionUUID->"a97b835b-cb95-4e66-8eaa-eb6de43379f1"]
}, Open  ]],
Cell[37830, 735, 29725, 526, 1765, "Input",ExpressionUUID->"eace2cbb-d074-44b4-a6ad-557ae383464b"],
Cell[67558, 1263, 12409, 228, 1003, "Input",ExpressionUUID->"6c5ef36d-9f9e-4f41-921e-c238b177f2cf"],
Cell[CellGroupData[{
Cell[79992, 1495, 2579, 53, 136, "Input",ExpressionUUID->"8f628a1e-6193-475a-a02c-757a702d0c0e"],
Cell[82574, 1550, 14217, 251, 925, "Output",ExpressionUUID->"eac5b042-61f3-4832-af0e-33b4a358fe00"]
}, Open  ]],
Cell[CellGroupData[{
Cell[96828, 1806, 5659, 129, 558, "Input",ExpressionUUID->"83a5dcba-a9cb-4d2f-afbe-07b493e2c824"],
Cell[102490, 1937, 772, 11, 36, "Output",ExpressionUUID->"e38585b6-3acb-442d-805b-e1c0780c3f42"]
}, Open  ]],
Cell[CellGroupData[{
Cell[103299, 1953, 4594, 80, 118, "Input",ExpressionUUID->"942fd965-c375-493a-95b1-6d74ca74d0c3"],
Cell[107896, 2035, 364, 9, 23, "Message",ExpressionUUID->"5d65eadb-7a0d-48bf-8915-99a1e3b7998f"],
Cell[108263, 2046, 366, 9, 23, "Message",ExpressionUUID->"84a03122-6851-44ca-bba3-bb76038fc4c5"],
Cell[108632, 2057, 33667, 925, 1797, "Output",ExpressionUUID->"9e6a0fc4-5623-4616-b609-85fa3a268316"]
}, Open  ]],
Cell[CellGroupData[{
Cell[142336, 2987, 586, 12, 96, "Input",ExpressionUUID->"485aedf6-77f8-4ae0-8b00-f8406530fe61"],
Cell[142925, 3001, 14129, 252, 791, "Output",ExpressionUUID->"0819394e-acaf-4505-8d04-7b3ea245836a"]
}, Open  ]],
Cell[157069, 3256, 2047, 49, 386, "Input",ExpressionUUID->"a013a143-1ed5-4607-b349-dd7ef2733076"]
}
]
*)

