(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.2' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     54095,       1247]
NotebookOptionsPosition[     53182,       1212]
NotebookOutlinePosition[     53525,       1227]
CellTagsIndexPosition[     53482,       1224]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"dataimport", "=", 
    RowBox[{"Delete", "[", 
     RowBox[{
      RowBox[{"Import", "[", 
       RowBox[{
       "\"\<O:\\\\Lorry\\\\serhii\\\\Py_Ru_Py\\\\Py_Ru_Py \
SQUID\\\\GD10\\\\separedsweepsforfitting.txt\>\"", ",", "\"\<Data\>\""}], 
       "]"}], ",", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", "1", "}"}], ",", 
        RowBox[{"{", "2", "}"}]}], "}"}]}], "]"}]}], ";"}], 
  "\[IndentingNewLine]", "\[IndentingNewLine]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ForwSweep", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"dataimport", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "1"}], "]"}], "]"}], ",", 
       RowBox[{"dataimport", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "2"}], "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "dataimport", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"BackSweep", " ", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"dataimport", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "3"}], "]"}], "]"}], ",", 
       RowBox[{"dataimport", "[", 
        RowBox[{"[", 
         RowBox[{"i", ",", "4"}], "]"}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"i", ",", "1", ",", 
       RowBox[{"Length", "[", "dataimport", "]"}]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", 
  RowBox[{"{", 
   RowBox[{"ForwSweep", ",", "BackSweep"}], "}"}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{{3.7301100367828093`*^9, 3.730110069351952*^9}, {
  3.7301110153938093`*^9, 3.7301110535665054`*^9}, {3.7301111012940626`*^9, 
  3.7301111609027977`*^9}, {3.7301114300766644`*^9, 3.730111476218075*^9}, {
  3.730111509243265*^9, 3.730111518476141*^9}, {3.7301119464472547`*^9, 
  3.7301120076171455`*^9}, {3.73011243585128*^9, 3.730112455524143*^9}, {
  3.7301127034419565`*^9, 3.730112774400779*^9}, {3.730113079455079*^9, 
  3.730113142621174*^9}, {3.730113198524517*^9, 3.7301132437419024`*^9}, {
  3.7301132860869417`*^9, 3.73011333827501*^9}, {3.7301133687638893`*^9, 
  3.7301135145478706`*^9}, {3.730113793848715*^9, 3.7301138207563047`*^9}, {
  3.73011388476945*^9, 3.7301138880417633`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.007333333333333334], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxFVQk4lesWRhEVtxMnktw6OTnVLTucExqW5kklbugc81QRUhQiypBdMsfe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      "]]}, 
    {RGBColor[0.880722, 0.611041, 0.142051], PointSize[0.007333333333333334], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJw9lXlcjVkYx7O1N2JkTZmZXJGiRWMZPbYyJYqoKGS5RYu04BKJosWV3FL3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      "]]}, {}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  ImageSize->{523., Automatic},
  Method->{},
  PlotRange->{{-0.699975781, 0.699975781}, {-1.00021, 1.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.730113429441697*^9, {3.7301135053409843`*^9, 3.730113516828082*^9}, 
   3.7301138265578384`*^9, 3.7301138899139366`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"testdata", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{
       RowBox[{"5", "*", 
        SuperscriptBox["x", "2"]}], "+", "1"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", 
      RowBox[{"-", "5"}], ",", "5", ",", "0.1"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"InterpolationFunc", "=", 
  RowBox[{"Interpolation", "[", "testdata", "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"ListPlot", "[", "testdata", "]"}]}], "Input",
 CellChangeTimes->{{3.7301860322038097`*^9, 3.730186106815815*^9}, {
   3.730186149355831*^9, 3.7301862278116813`*^9}, 3.7301862636878853`*^9}],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "5.`"}], ",", "126.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "4.9`"}], ",", "121.05000000000003`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "4.8`"}], ",", "116.19999999999999`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "4.7`"}], ",", "111.45000000000002`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "4.6`"}], ",", "106.79999999999998`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "4.5`"}], ",", "102.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "4.4`"}], ",", "97.80000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "4.3`"}], ",", "93.44999999999999`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "4.2`"}], ",", "89.2`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "4.1`"}], ",", "85.05`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "4.`"}], ",", "81.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3.9`"}], ",", "77.05`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3.8`"}], ",", "73.2`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3.7`"}], ",", "69.45`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3.5999999999999996`"}], ",", "65.79999999999998`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3.5`"}], ",", "62.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3.4`"}], ",", "58.8`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3.3`"}], ",", "55.449999999999996`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3.2`"}], ",", "52.20000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3.0999999999999996`"}], ",", "49.04999999999999`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "3.`"}], ",", "46.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.9`"}], ",", "43.05`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.8`"}], ",", "40.199999999999996`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.6999999999999997`"}], ",", "37.44999999999999`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.5999999999999996`"}], ",", "34.79999999999999`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.5`"}], ",", "32.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.4`"}], ",", "29.799999999999997`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.3`"}], ",", "27.449999999999996`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.1999999999999997`"}], ",", "25.199999999999996`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.0999999999999996`"}], ",", "23.04999999999999`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "2.`"}], ",", "21.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.9`"}], ",", "19.05`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.7999999999999998`"}], ",", "17.199999999999996`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.6999999999999997`"}], ",", "15.449999999999996`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.5999999999999996`"}], ",", "13.799999999999994`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.5`"}], ",", "12.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.4`"}], ",", "10.799999999999999`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.2999999999999998`"}], ",", "9.449999999999998`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.1999999999999997`"}], ",", "8.199999999999996`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.0999999999999996`"}], ",", "7.049999999999996`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "1.`"}], ",", "6.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.8999999999999995`"}], ",", "5.049999999999995`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.7999999999999998`"}], ",", "4.199999999999998`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.7000000000000002`"}], ",", "3.4500000000000015`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.5999999999999996`"}], ",", "2.799999999999998`"}], "}"}],
    ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.5`"}], ",", "2.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.39999999999999947`"}], ",", "1.799999999999998`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.2999999999999998`"}], ",", "1.4499999999999995`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.1999999999999993`"}], ",", "1.1999999999999986`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"-", "0.09999999999999964`"}], ",", "1.0499999999999996`"}], 
    "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.`", ",", "1.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.10000000000000053`", ",", "1.0500000000000005`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.20000000000000018`", ",", "1.2000000000000004`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.3000000000000007`", ",", "1.4500000000000022`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.40000000000000036`", ",", "1.8000000000000014`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.5`", ",", "2.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.6000000000000005`", ",", "2.8000000000000034`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.7000000000000002`", ",", "3.4500000000000015`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.8000000000000007`", ",", "4.2000000000000055`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"0.9000000000000004`", ",", "5.050000000000003`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.`", ",", "6.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.1000000000000005`", ",", "7.050000000000005`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.2000000000000002`", ",", "8.200000000000003`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.3000000000000007`", ",", "9.45000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.4000000000000004`", ",", "10.800000000000006`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.5`", ",", "12.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.6000000000000005`", ",", "13.80000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.7000000000000002`", ",", "15.450000000000003`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.8000000000000007`", ",", "17.200000000000014`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"1.9000000000000004`", ",", "19.050000000000004`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.`", ",", "21.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.1000000000000005`", ",", "23.05000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.2`", ",", "25.200000000000003`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.3000000000000007`", ",", "27.450000000000017`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.4000000000000004`", ",", "29.800000000000008`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.5`", ",", "32.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.6000000000000005`", ",", "34.80000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.7`", ",", "37.45`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.8000000000000007`", ",", "40.200000000000024`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"2.9000000000000004`", ",", "43.05000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.`", ",", "46.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.0999999999999996`", ",", "49.04999999999999`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.200000000000001`", ",", "52.20000000000004`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.3000000000000007`", ",", "55.45000000000002`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.4000000000000004`", ",", "58.80000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.5`", ",", "62.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.5999999999999996`", ",", "65.79999999999998`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.700000000000001`", ",", "69.45000000000005`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.8000000000000007`", ",", "73.20000000000002`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"3.9000000000000004`", ",", "77.05000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.`", ",", "81.`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.1`", ",", "85.05`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.200000000000001`", ",", "89.20000000000005`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.300000000000001`", ",", "93.45000000000003`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.4`", ",", "97.80000000000001`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.5`", ",", "102.25`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.600000000000001`", ",", "106.80000000000007`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.700000000000001`", ",", "111.45000000000005`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.800000000000001`", ",", "116.20000000000003`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"4.9`", ",", "121.05000000000003`"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"5.`", ",", "126.`"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.730186154277999*^9, {3.730186207857837*^9, 3.7301862164987564`*^9}, 
   3.7301862643910756`*^9, 3.7301863913797665`*^9}],

Cell[BoxData[
 TagBox[
  TemplateBox[{RowBox[{
      StyleBox[
       TagBox["InterpolatingFunction", "SummaryHead"], 
       "NonInterpretableSummary"], 
      StyleBox["[", "NonInterpretableSummary"], 
      DynamicModuleBox[{Typeset`open$$ = False}, 
       PanelBox[
        PaneSelectorBox[{False -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquarePlusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = True), Appearance -> None,
                 Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[{{{}, {}, {
                  Directive[
                   Opacity[1.], 
                   RGBColor[0.368417, 0.506779, 0.709798], 
                   AbsoluteThickness[1]], 
                  LineBox[CompressedData["
1:eJwB0QMu/CFib1JlAgAAADwAAAACAAAAYyig9P//E8BAfnTc/39fQA3kEOQR
WRPAlrH26dh+XUCcVpBEGaQSwIbHhNi+ZVtAduGewx77EcCi9m9iSIJZQHm5
EdJ0VRHACT2v1Ti5V0BhSJNRwKEQwFLnPdFc3FVAKd9H3xP0D8DI49CdGzFU
QFmbhv2RiA7ACt9MXnd1UkDb8Y06sSMNwCdUCKaH1VBA83iztMzWC8CXkPwZ
IsZOQNVt9hDTbQrAQjOd4OvIS0BNk1eq1RwJwEz8DstxIklAGFOBYnnSB8C0
CbiO9KpGQK6AyPwHbAbA5/bfnXUjREDa3i3Ukh0FwJQcDg6n6kFA0KqwjQiz
A8CAF+WHSVE/QBgR/GUfTwLAsNS0ZnEwO0D2p2V7MgMBwHz2NuR+nDdAO1nZ
5WA2/799anEXEwc0QLfDI09Vlvy/3vf4tib2MEDHCal8H775v4pOA3vZ4itA
e4S/5yvz9r9EECBS+ZImQFxgEs0wWPS/VpxLEPwqIkDRF6B2C4Xxv2GyXFXN
+htA5GDUNL3D7b+7MsymqE0VQG77ivfnl+i/trnWUligD0AhTbdCvvviv+IN
PCCvEwZAWcK4BAt/27+WqKbaOMT+P8BY7pTwJdC/4K02etIX9T/iBqNtfAe0
v7+73aRdffA/d0Kt1EGJtT/DbmF/8JDwP6T00/Qop9A/s1pSWZtq9T/4E4uL
HyzbP5D1d0uva/4/XrD+lQa+4j9NVrLMu7gFQJcfwt1RVug/UbjbjvwiD0B4
zAwxrI7tP1us86AsEBVAGOHwfa2b8T/hfHk96jgcQMj6HmkMQPQ//AZUorME
IkDU37sWKdf2P063fvveYCZATOkdAHCm+T+Y8KXWTLMrQJeRQ2++Rfw/Fxq+
SqecMEBOXi4aNx3/PwYcW2Vx6DNAMfvDw7bzAEDrh/RCaXM3QKWWUr3VQAJA
aJ3Oi6EHO0BPxMPUCaoDQN1L0ASgNT9AY8EWr0H7BEAweEGkOLJBQCQkoWrY
RQZA4UsJh8rgQ0AaGQ5EhKwHQBIxRz6IZEZAet1c4DP7CEDs21o4ouBIQBA0
jpr4ZQpA+5kCJ7e4S0BU8PY1HMoLQHCaJyePqk5AAnxBlEMWDUByyV48QsZQ
QOaZbhCAfg5A5c7SnnZpUkA0h31PwM4PQH78k8KfAlRAXIM31oqdEEBDs0Mf
btFVQPX1S/VkUBFA9UWoHIWrV0BDUNH1QPcRQAGwTK1sd1lArPNHhSesEkCj
UHKNOn1bQMl+L/YPVRNAr47uqrxyXUBjKKD0//8TQD9+dNz/f19Aob7P1g==

                   "]]}}}, {
               DisplayFunction -> Identity, AspectRatio -> 1, 
                Axes -> {False, False}, AxesLabel -> {None, None}, 
                AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
                Frame -> {{True, True}, {True, True}}, 
                FrameLabel -> {{None, None}, {None, None}}, FrameStyle -> 
                Directive[
                  Opacity[0.5], 
                  Thickness[Tiny], 
                  RGBColor[0.368417, 0.506779, 0.709798]], 
                FrameTicks -> {{None, None}, {None, None}}, 
                GridLines -> {None, None}, GridLinesStyle -> Directive[
                  GrayLevel[0.5, 0.4]], ImageSize -> 
                Dynamic[{
                  Automatic, 3.5 CurrentValue["FontCapHeight"]/
                   AbsoluteCurrentValue[Magnification]}], 
                Method -> {
                 "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
                  AbsolutePointSize[6], "ScalingFunctions" -> None}, 
                PlotRange -> {{-5., 5.}, {0., 125.99999152542387`}}, 
                PlotRangeClipping -> True, PlotRangePadding -> {{
                   Scaled[0.1], 
                   Scaled[0.1]}, {
                   Scaled[0.1], 
                   Scaled[0.1]}}, Ticks -> {Automatic, Automatic}}], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "5.`"}], ",", "5.`"}], "}"}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"scalar\"", "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}], True -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquareMinusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                None, Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[{{{}, {}, {
                  Directive[
                   Opacity[1.], 
                   RGBColor[0.368417, 0.506779, 0.709798], 
                   AbsoluteThickness[1]], 
                  LineBox[CompressedData["
1:eJwB0QMu/CFib1JlAgAAADwAAAACAAAAYyig9P//E8BAfnTc/39fQA3kEOQR
WRPAlrH26dh+XUCcVpBEGaQSwIbHhNi+ZVtAduGewx77EcCi9m9iSIJZQHm5
EdJ0VRHACT2v1Ti5V0BhSJNRwKEQwFLnPdFc3FVAKd9H3xP0D8DI49CdGzFU
QFmbhv2RiA7ACt9MXnd1UkDb8Y06sSMNwCdUCKaH1VBA83iztMzWC8CXkPwZ
IsZOQNVt9hDTbQrAQjOd4OvIS0BNk1eq1RwJwEz8DstxIklAGFOBYnnSB8C0
CbiO9KpGQK6AyPwHbAbA5/bfnXUjREDa3i3Ukh0FwJQcDg6n6kFA0KqwjQiz
A8CAF+WHSVE/QBgR/GUfTwLAsNS0ZnEwO0D2p2V7MgMBwHz2NuR+nDdAO1nZ
5WA2/799anEXEwc0QLfDI09Vlvy/3vf4tib2MEDHCal8H775v4pOA3vZ4itA
e4S/5yvz9r9EECBS+ZImQFxgEs0wWPS/VpxLEPwqIkDRF6B2C4Xxv2GyXFXN
+htA5GDUNL3D7b+7MsymqE0VQG77ivfnl+i/trnWUligD0AhTbdCvvviv+IN
PCCvEwZAWcK4BAt/27+WqKbaOMT+P8BY7pTwJdC/4K02etIX9T/iBqNtfAe0
v7+73aRdffA/d0Kt1EGJtT/DbmF/8JDwP6T00/Qop9A/s1pSWZtq9T/4E4uL
HyzbP5D1d0uva/4/XrD+lQa+4j9NVrLMu7gFQJcfwt1RVug/UbjbjvwiD0B4
zAwxrI7tP1us86AsEBVAGOHwfa2b8T/hfHk96jgcQMj6HmkMQPQ//AZUorME
IkDU37sWKdf2P063fvveYCZATOkdAHCm+T+Y8KXWTLMrQJeRQ2++Rfw/Fxq+
SqecMEBOXi4aNx3/PwYcW2Vx6DNAMfvDw7bzAEDrh/RCaXM3QKWWUr3VQAJA
aJ3Oi6EHO0BPxMPUCaoDQN1L0ASgNT9AY8EWr0H7BEAweEGkOLJBQCQkoWrY
RQZA4UsJh8rgQ0AaGQ5EhKwHQBIxRz6IZEZAet1c4DP7CEDs21o4ouBIQBA0
jpr4ZQpA+5kCJ7e4S0BU8PY1HMoLQHCaJyePqk5AAnxBlEMWDUByyV48QsZQ
QOaZbhCAfg5A5c7SnnZpUkA0h31PwM4PQH78k8KfAlRAXIM31oqdEEBDs0Mf
btFVQPX1S/VkUBFA9UWoHIWrV0BDUNH1QPcRQAGwTK1sd1lArPNHhSesEkCj
UHKNOn1bQMl+L/YPVRNAr47uqrxyXUBjKKD0//8TQD9+dNz/f19Aob7P1g==

                   "]]}}}, {
               DisplayFunction -> Identity, AspectRatio -> 1, 
                Axes -> {False, False}, AxesLabel -> {None, None}, 
                AxesOrigin -> {0, 0}, DisplayFunction :> Identity, 
                Frame -> {{True, True}, {True, True}}, 
                FrameLabel -> {{None, None}, {None, None}}, FrameStyle -> 
                Directive[
                  Opacity[0.5], 
                  Thickness[Tiny], 
                  RGBColor[0.368417, 0.506779, 0.709798]], 
                FrameTicks -> {{None, None}, {None, None}}, 
                GridLines -> {None, None}, GridLinesStyle -> Directive[
                  GrayLevel[0.5, 0.4]], ImageSize -> 
                Dynamic[{
                  Automatic, 3.5 CurrentValue["FontCapHeight"]/
                   AbsoluteCurrentValue[Magnification]}], 
                Method -> {
                 "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
                  AbsolutePointSize[6], "ScalingFunctions" -> None}, 
                PlotRange -> {{-5., 5.}, {0., 125.99999152542387`}}, 
                PlotRangeClipping -> True, PlotRangePadding -> {{
                   Scaled[0.1], 
                   Scaled[0.1]}, {
                   Scaled[0.1], 
                   Scaled[0.1]}}, Ticks -> {Automatic, Automatic}}], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"-", "5.`"}], ",", "5.`"}], "}"}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"scalar\"", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["3", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["False", "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}]}, 
         Dynamic[Typeset`open$$], ImageSize -> Automatic], BaselinePosition -> 
        Baseline], DynamicModuleValues :> {}], 
      StyleBox["]", "NonInterpretableSummary"]}]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("InterpolatingFunction[{{-5., 5.}}, <>]"& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{
  3.730186154277999*^9, {3.730186207857837*^9, 3.7301862164987564`*^9}, 
   3.7301862643910756`*^9, 3.730186391411023*^9}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJxVlc9LVFEUx5+j5o8ZdebpIqGFBUIQWTYONoTcYxZFJZb9LiuQRmYRtfAf
cOXaVTSV2P/QytW9ixb9mEZhVkKLIBCEFhOJJYZ03/l+L9SF4cy795zPPee8
c847PPtsupSKoqjkf4nE6nMqFh7Jy0qyel0h79fEQ8nr6nXVZGUeyGf9E7ta
Ir7clzldsTuVqL29J+DF4C3dJS/nRpLz+Tvk5cCbuU1e1qm8cou8rFO1iZvk
ZcGTG7Tv4fl16nfTfpr3deF55ppU4Tj8m79KXga8gSny0g6cSfI6nWJWL5PX
4V4lov8See2ulKgtXiSvHbzoAnlt4C2eJ+8AeP3nRGWl1b1Q/lnyWsCbGyev
hf4Jec3IV3WMvBTjOUNeE57zRfIi91HDHiUvon8F2u9bzU8mT/0/FvbDArln
Hydqm0OiflZ27XOVx8j7bVEvR8nbsfBjkLxtq/FsHiHvJ3hzA+T9sCd0/xB5
DfCig/Je7b/bIT3vo/6W/YQ6kbJyNu2y7qflpOp9s7PIM3lfyUvJkupt2HeI
00C/bodV/jILev7BHoeffF7lfQ0T/bcahoVh1nj+BvamQHu8sLoZIx/nG6bO
++mfCf6dhv/mKf1nfCbEB/st2mdlHfkxo8xP8Cvk7zXya4rM7wj9KjP/sN82
T/h+sL/D+wbD+zXh/YK3a1b4/sHbA8/XxzrjGmX9gLdvaqwvJk5C/dVQn7Dz
9Yn+aiK3SHvmxdc39ptljfXP/pDQH+C10G6cvFZI319l5nWZ/QdeG/Z9f7J/
JfQv+1tCfyP+Dllh/4PXiX0/H8BLc3+SnAz9mwrzR8L8Aa8L8fv5BLtuxOHn
F3g9kH6+gZeF9POP81HCfKz9Wxd+fsI+h3z5+cr5K2H+ghdD+vmM+2Pk289v
8GLw/HwHrxc8P//5fZDwfQCPdei/H38BIqRrAQ==
      "]]}, {}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{},
  PlotRange->{{-5., 5.}, {0, 126.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{
  3.730186154277999*^9, {3.730186207857837*^9, 3.7301862164987564`*^9}, 
   3.7301862643910756`*^9, 3.7301863914891586`*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"InterpolationFunc", "[", "z", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"z", ",", 
     RowBox[{"-", "4"}], ",", "4"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.730186406317788*^9, 3.730186409067916*^9}, {
  3.730190650135861*^9, 3.7301906781680713`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {}, 
   {RGBColor[0.368417, 0.506779, 0.709798], AbsoluteThickness[1.6], Opacity[
    1.], LineBox[CompressedData["
1:eJw1mHk01X/Qx137fpU1JGRXCImS+WRJUir3FmUrVNTP+itFyJYoRetPlhb7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     "]]}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{
   "DefaultBoundaryStyle" -> Automatic, "DefaultMeshStyle" -> 
    AbsolutePointSize[6], "ScalingFunctions" -> None},
  PlotRange->{{-4, 4}, {0., 80.99999346938789}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.05], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.7301906700740395`*^9, 3.730190678980608*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"noisydata", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{
        RowBox[{"4", "*", 
         SuperscriptBox["x", "2"]}], "+", "1", "+", 
        RowBox[{"RandomInteger", "[", 
         RowBox[{"{", 
          RowBox[{"0", ",", "15"}], "}"}], "]"}]}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "5"}], ",", "5", ",", "0.1"}], "}"}]}], "]"}]}], 
  ";"}], "\n", 
 RowBox[{"ListPlot", "[", "noisydata", "]"}]}], "Input",
 CellChangeTimes->{{3.730190693699849*^9, 3.7301908207042494`*^9}, {
  3.7301908646276245`*^9, 3.7301909349581633`*^9}}],

Cell[BoxData[
 GraphicsBox[{{}, {{}, 
    {RGBColor[0.368417, 0.506779, 0.709798], PointSize[0.009166666666666668], 
     AbsoluteThickness[1.6], PointBox[CompressedData["
1:eJw9lUtIlFEUx8fxPY46fk60UEQtaCgVyxkctemeDDWnLGZ8DtqmMNwl7ZIg
F9UmSBdBGRFREa2kTaSLuBcpKLEHuDBbaYFgukhSyRRpvnP+nxfk8Hnv+Z17
/+cxZRevxPvdLperP/lnW1l+w2a4jx6O2avQvNsI9I24e6mGV6HxzD0bjEx3
06cZe1nmW/LTc7+bLvOyTPL01MbLHhKeJTzTCV6BuZDcDvR1gVdgIjbwbQd4
PvN80P5PB3g+w8e/xMDzCY/i8M83m3bA13GczzOLQ/7xlsVziJdrfvD3GWL8
jNf8ik2U3FqJgufFe8+Cl2OSm7GJx1HwPKaFgW3gZZvrNm6oGbws84YdmsDL
Aq8VvEwTt8PFmsDLMOMCJMaNpRvG3WsCL83cXLEv6PDShOci8FKNHa0k/SR4
btE70ABeiullwSLgucxT1rMePBd4Yfjvat4erMH5Hb3BwAY6xvG29V0bNxKm
B8zf0se5AKrB+6vFVoG3qe1dz1wQvHUt7zkA3h/NuKkgeGs6wffdD95v8A7S
B/Zf1ddYoHKcX9Ysd8khGuB4S3qV83mEqpn/Uy9wvg+Dt7DHG2X/ebzHwvlZ
zemZKKVh3v+oGRcL4HtSc3h/laMfVjEZ2Vf7sP9E/JXkuxwJm1WTzK/A/rwq
4/vnOvdTAFJY7q/usF45zvsU99dcEfyX4V9JX0UfdYLzUePoB16QHom+8D9K
QdFfeTlBRfBfV+85HyHE28T5Wie/4FWAt6UI8YS3rUZZzzrwdtQa8iG8XXWV
6yvk6AdbT5+lPukFF2AI/ZVCMh9q4e+mSq7vOsRLJbl/2OkP2Ah4aXSb9SPw
0knyQ+Bl0Cvuv1PgZVI7+hP9K3a40elvkv5uxfuz6YZdEP9Og+ehKLdzM3g5
VMrzow08L+ze/CGZP23g5dIS1+t58PJI9IqDl08830Lt4PjEkjPvfCTzsQPv
94melzrhX0CK52u7M39F3+Iu8CzYHsS3RO+BLvAs+s71kACvUPSP9ji/D8S/
D40JcPzQL0H/AbDYbyc=
      "]]}, {}}, {}},
  AspectRatio->NCache[GoldenRatio^(-1), 0.6180339887498948],
  Axes->{True, True},
  AxesLabel->{None, None},
  AxesOrigin->{0, 0},
  DisplayFunction->Identity,
  Frame->{{False, False}, {False, False}},
  FrameLabel->{{None, None}, {None, None}},
  FrameTicks->{{Automatic, Automatic}, {Automatic, Automatic}},
  GridLines->{None, None},
  GridLinesStyle->Directive[
    GrayLevel[0.5, 0.4]],
  Method->{},
  PlotRange->{{-5., 5.}, {0, 114.}},
  PlotRangeClipping->True,
  PlotRangePadding->{{
     Scaled[0.02], 
     Scaled[0.02]}, {
     Scaled[0.02], 
     Scaled[0.05]}},
  Ticks->{Automatic, Automatic}]], "Output",
 CellChangeTimes->{{3.7301909138480635`*^9, 3.730190935973836*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"Piece1", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", 
      SuperscriptBox["x", "2"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Piece2", "=", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{"x", ",", 
      SuperscriptBox["x", "3"]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "10"}], "}"}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"total", " ", "=", 
  RowBox[{"Join", "[", 
   RowBox[{"Piece1", ",", "Piece2"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"checkinterpolate", "=", 
  RowBox[{"ListInterpolation", "[", "total", "]"}]}]}], "Input",
 CellChangeTimes->{{3.7301919033665886`*^9, 3.730192031167797*^9}, {
  3.730192073513031*^9, 3.7301920743411818`*^9}}],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"ListInterpolation", "::", "inhr"}], "MessageName"], 
  RowBox[{
  ":", " "}], "\<\"Requested order is too high; order has been reduced to \
\[NoBreak]\\!\\({3, 1}\\)\[NoBreak]. \
\\!\\(\\*ButtonBox[\\\"\[RightSkeleton]\\\", ButtonStyle->\\\"Link\\\", \
ButtonFrame->None, \
ButtonData:>\\\"paclet:ref/message/ListInterpolation/inhr\\\", ButtonNote -> \
\\\"ListInterpolation::inhr\\\"]\\)\"\>"}]], "Message", "MSG",
 CellChangeTimes->{3.7301920324178505`*^9, 3.730192075700593*^9}],

Cell[BoxData[
 TagBox[
  TemplateBox[{RowBox[{
      StyleBox[
       TagBox["InterpolatingFunction", "SummaryHead"], 
       "NonInterpretableSummary"], 
      StyleBox["[", "NonInterpretableSummary"], 
      DynamicModuleBox[{Typeset`open$$ = False}, 
       PanelBox[
        PaneSelectorBox[{False -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquarePlusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = True), Appearance -> None,
                 Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[{{
                 GrayLevel[0.6], 
                 AbsolutePointSize[5], 
                 PointBox[{1, 1}], 
                 PointBox[{2, 4}], 
                 PointBox[{3, 2}], 
                 PointBox[{4, 3}]}, {{}, {}, {
                  AbsoluteThickness[1], 
                  Opacity[1.], 
                  LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                   "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
               GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                 GrayLevel[0.7], 
                 Thickness[Tiny]], FrameTicks -> None, 
               ImageSize -> {Automatic, 
                 Dynamic[
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                   Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "22"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"scalar\"", "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}], True -> GridBox[{{
              PaneBox[
               ButtonBox[
                DynamicBox[
                 FEPrivate`FrontEndResource[
                 "FEBitmaps", "SquareMinusIconMedium"]], 
                ButtonFunction :> (Typeset`open$$ = False), Appearance -> 
                None, Evaluator -> Automatic, Method -> "Preemptive"], 
               Alignment -> {Center, Center}, ImageSize -> 
               Dynamic[{
                 Automatic, 3.5 CurrentValue["FontCapHeight"]/
                  AbsoluteCurrentValue[Magnification]}]], 
              GraphicsBox[{{
                 GrayLevel[0.6], 
                 AbsolutePointSize[5], 
                 PointBox[{1, 1}], 
                 PointBox[{2, 4}], 
                 PointBox[{3, 2}], 
                 PointBox[{4, 3}]}, {{}, {}, {
                  AbsoluteThickness[1], 
                  Opacity[1.], 
                  LineBox[CompressedData["
1:eJwBMQPO/CFib1JlAgAAADIAAAACAAAA4ScLwZmZ6T/ACPskWpOYv4AjHgZ5
3Os/cnpQh5xu1j/qWn1XCVDuP5K7ih5ptuc/r+pongFN8D/CUK87BHLxP46d
cUQ/bPE/ujUa8/qu9j9TbqBw1aPyP/TWyyAhFfw/neDJZqDG8z+QAqdF9GsA
QM1wGePDAfU/VsVD/9nXAkCidscSKDf2P6Bp73exDQVA/B1wDMFX9z+TpM3k
wfUGQDzjPoyykPg/7M3Z+O7ZCEABSgjW2LT5P3pl9LwNcgpAbCYw0z/T+j86
ypori9cLQL0gflb/Cfw/lpOs9xIqDUCTvMaj8yv9Pw4alcoYNg5AT3Y1d0Bm
/j+pB2LLtyIPQLClAv7Nmv8/NnA5bbjSD0BLO2UnSF0AQFrcILXmpw9AsTLc
klX5AED+sDHBQukOQNp6UGP9igFAbZ+lR/sLDkD10dd20SgCQNHi3Mj38wxA
42MO5MXDAkAZdr6AZb8LQJRGQrZUVANArv7zEMKHCkA4OInLD/EDQLBlMO3M
IglAnnrNRWWDBEA3d8OX6skHQNf3wBnbEgVAD3D3ndNyBkADhMcwfa4FQHOK
7Wak/wRA8WDLrLk/BkC/MhCgYawDQNJM4msi3QZAwss/TmVLAkCGc6iEq3cH
QIsIg92+BgFA/OprAs8HCECrPCvgePD/P2VxQsMepAhAKXVLE0Xg/j+RSBbp
CDYJQPRz0a7WJ/4/kFqZaBPFCUDN4sX5uLj9P4J7LytKYApAvh1MbRmT/T82
7cJSG/EKQHzT1YZwwv0/3W1pvRiOC0B2LZ/10lT+P0c/DY2wIAxAVrX8MJA7
/z+DS2C2aLAMQElWzbMzPQBAsmbGIk1MDUCi9bAadCABQKTSKfTL3Q1AYexd
q+EpAkCJTaAId3sOQFyS/ndEhgNAQAPGdkIWD0BHWcLdahwFQLoJ6Umopg9A
vd1CiejSBkCTjw8wnSEQQPiVkXD08QhAq0KpbbNqEEBsk2Azxi4LQCyTGthZ
shBAYCBYjj+gDUAnaxVkFgARQMwfdA9ySBBAg+uOIqBIEUBj/5rHgMsRQNFn
q5SZmRFAL++xNeOlE0Dwt3AR
                   "]]}}}, AspectRatio -> 1, Axes -> False, Background -> 
               GrayLevel[0.93], Frame -> True, FrameStyle -> Directive[
                 GrayLevel[0.7], 
                 Thickness[Tiny]], FrameTicks -> None, 
               ImageSize -> {Automatic, 
                 Dynamic[
                 3.5 (CurrentValue["FontCapHeight"]/AbsoluteCurrentValue[
                   Magnification])]}, PlotRange -> {{0, 5}, {0, 5}}], 
              GridBox[{{
                 RowBox[{
                   TagBox["\"Domain: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"{", 
                    RowBox[{"1", ",", "22"}], "}"}], ",", 
                    RowBox[{"{", 
                    RowBox[{"1", ",", "2"}], "}"}]}], "}"}], 
                    "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Output: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"scalar\"", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Order: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox[
                    RowBox[{"{", 
                    RowBox[{"3", ",", "1"}], "}"}], "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Method: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["\"Hermite\"", "SummaryItem"]}]}, {
                 RowBox[{
                   TagBox["\"Periodic: \"", "SummaryItemAnnotation"], 
                   "\[InvisibleSpace]", 
                   TagBox["False", "SummaryItem"]}]}}, 
               GridBoxAlignment -> {
                "Columns" -> {{Left}}, "Rows" -> {{Automatic}}}, AutoDelete -> 
               False, GridBoxItemSize -> {
                "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
               GridBoxSpacings -> {
                "Columns" -> {{2}}, "Rows" -> {{Automatic}}}, 
               BaseStyle -> {
                ShowStringCharacters -> False, NumberMarks -> False, 
                 PrintPrecision -> 3, ShowSyntaxStyles -> False}]}}, 
            GridBoxAlignment -> {"Rows" -> {{Top}}}, AutoDelete -> False, 
            GridBoxItemSize -> {
             "Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}, 
            BaselinePosition -> {1, 1}]}, 
         Dynamic[Typeset`open$$], ImageSize -> Automatic], BaselinePosition -> 
        Baseline], DynamicModuleValues :> {}], 
      StyleBox["]", "NonInterpretableSummary"]}]},
   "CopyTag",
   DisplayFunction->(#& ),
   InterpretationFunction->("InterpolatingFunction[{{1, 22}, {1, 2}}, <>]"& )],
  False,
  Editable->False,
  SelectWithContents->True,
  Selectable->False]], "Output",
 CellChangeTimes->{3.730191985166254*^9, 3.730192032355335*^9, 
  3.7301920757318525`*^9}]
}, Open  ]]
},
WindowSize->{1920, 998},
WindowMargins->{{-8, Automatic}, {Automatic, -8}},
FrontEndVersion->"10.2 for Microsoft Windows (64-bit) (July 29, 2015)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[580, 22, 2407, 61, 244, "Input"],
Cell[2990, 85, 6329, 117, 339, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9356, 207, 675, 17, 126, "Input"],
Cell[10034, 226, 9765, 277, 152, "Output"],
Cell[19802, 505, 10977, 218, 75, "Output"],
Cell[30782, 725, 1919, 43, 249, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32738, 773, 322, 8, 48, "Input"],
Cell[33063, 783, 6780, 123, 243, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[39880, 911, 669, 19, 88, "Input"],
Cell[40552, 932, 1944, 43, 255, "Output"]
}, Open  ]],
Cell[CellGroupData[{
Cell[42533, 980, 869, 25, 150, "Input"],
Cell[43405, 1007, 529, 11, 21, "Message"],
Cell[43937, 1020, 9229, 189, 75, "Output"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)
